## Service-side Connection interfaces Service-side Connection interfaces — GInterfaces for Telepathy Connection objects |

## Functions

void | (*tp_svc_connection_connect_impl) ()
void | tp_svc_connection_implement_connect ()
void | tp_svc_connection_return_from_connect ()
void | (*tp_svc_connection_disconnect_impl) ()
void | tp_svc_connection_implement_disconnect ()
void | tp_svc_connection_return_from_disconnect ()
void | (*tp_svc_connection_get_interfaces_impl) ()
void | tp_svc_connection_implement_get_interfaces ()
void | tp_svc_connection_return_from_get_interfaces ()
void | (*tp_svc_connection_get_protocol_impl) ()
void | tp_svc_connection_implement_get_protocol ()
void | tp_svc_connection_return_from_get_protocol ()
void | (*tp_svc_connection_get_self_handle_impl) ()
void | tp_svc_connection_implement_get_self_handle ()
void | tp_svc_connection_return_from_get_self_handle ()
void | (*tp_svc_connection_get_status_impl) ()
void | tp_svc_connection_implement_get_status ()
void | tp_svc_connection_return_from_get_status ()
void | (*tp_svc_connection_hold_handles_impl) ()
void | tp_svc_connection_implement_hold_handles ()
void | tp_svc_connection_return_from_hold_handles ()
void | (*tp_svc_connection_inspect_handles_impl) ()
void | tp_svc_connection_implement_inspect_handles ()
void | tp_svc_connection_return_from_inspect_handles ()
void | (*tp_svc_connection_list_channels_impl) ()
void | tp_svc_connection_implement_list_channels ()
void | tp_svc_connection_return_from_list_channels ()
void | (*tp_svc_connection_release_handles_impl) ()
void | tp_svc_connection_implement_release_handles ()
void | tp_svc_connection_return_from_release_handles ()
void | (*tp_svc_connection_request_channel_impl) ()
void | tp_svc_connection_implement_request_channel ()
void | tp_svc_connection_return_from_request_channel ()
void | (*tp_svc_connection_request_handles_impl) ()
void | tp_svc_connection_implement_request_handles ()
void | tp_svc_connection_return_from_request_handles ()
void | tp_svc_connection_emit_new_channel ()
void | tp_svc_connection_emit_self_handle_changed ()
void | tp_svc_connection_emit_self_contact_changed ()
void | tp_svc_connection_emit_status_changed ()
void | tp_svc_connection_emit_connection_error ()
void | (*tp_svc_connection_add_client_interest_impl) ()
void | tp_svc_connection_implement_add_client_interest ()
void | tp_svc_connection_implement_remove_client_interest ()
void | (*tp_svc_connection_remove_client_interest_impl) ()
void | tp_svc_connection_return_from_add_client_interest ()
void | tp_svc_connection_return_from_remove_client_interest ()
void | (*tp_svc_connection_interface_contacts_get_contact_attributes_impl) ()
void | tp_svc_connection_interface_contacts_implement_get_contact_attributes ()
void | tp_svc_connection_interface_contacts_return_from_get_contact_attributes ()
void | (*tp_svc_connection_interface_contacts_get_contact_by_id_impl) ()
void | tp_svc_connection_interface_contacts_implement_get_contact_by_id ()
void | tp_svc_connection_interface_contacts_return_from_get_contact_by_id ()
void | (*tp_svc_connection_interface_requests_create_channel_impl) ()
void | tp_svc_connection_interface_requests_emit_channel_closed ()
void | tp_svc_connection_interface_requests_emit_new_channels ()
void | (*tp_svc_connection_interface_requests_ensure_channel_impl) ()
void | tp_svc_connection_interface_requests_implement_create_channel ()
void | tp_svc_connection_interface_requests_implement_ensure_channel ()
void | tp_svc_connection_interface_requests_return_from_create_channel ()
void | tp_svc_connection_interface_requests_return_from_ensure_channel ()
void | tp_svc_connection_interface_simple_presence_emit_presences_changed ()
void | (*tp_svc_connection_interface_simple_presence_get_presences_impl) ()
void | tp_svc_connection_interface_simple_presence_implement_get_presences ()
void | tp_svc_connection_interface_simple_presence_implement_set_presence ()
void | tp_svc_connection_interface_simple_presence_return_from_get_presences ()
void | tp_svc_connection_interface_simple_presence_return_from_set_presence ()
void | (*tp_svc_connection_interface_simple_presence_set_presence_impl) ()
void | (*tp_svc_connection_interface_presence_add_status_impl) ()
void | tp_svc_connection_interface_presence_implement_add_status ()
void | tp_svc_connection_interface_presence_return_from_add_status ()
void | (*tp_svc_connection_interface_presence_clear_status_impl) ()
void | tp_svc_connection_interface_presence_implement_clear_status ()
void | tp_svc_connection_interface_presence_return_from_clear_status ()
void | (*tp_svc_connection_interface_presence_get_presence_impl) ()
void | tp_svc_connection_interface_presence_implement_get_presence ()
void | tp_svc_connection_interface_presence_return_from_get_presence ()
void | (*tp_svc_connection_interface_presence_get_statuses_impl) ()
void | tp_svc_connection_interface_presence_implement_get_statuses ()
void | tp_svc_connection_interface_presence_return_from_get_statuses ()
void | (*tp_svc_connection_interface_presence_remove_status_impl) ()
void | tp_svc_connection_interface_presence_implement_remove_status ()
void | tp_svc_connection_interface_presence_return_from_remove_status ()
void | (*tp_svc_connection_interface_presence_request_presence_impl) ()
void | tp_svc_connection_interface_presence_implement_request_presence ()
void | tp_svc_connection_interface_presence_return_from_request_presence ()
void | (*tp_svc_connection_interface_presence_set_last_activity_time_impl) ()
void | tp_svc_connection_interface_presence_implement_set_last_activity_time ()
void | tp_svc_connection_interface_presence_return_from_set_last_activity_time ()
void | (*tp_svc_connection_interface_presence_set_status_impl) ()
void | tp_svc_connection_interface_presence_implement_set_status ()
void | tp_svc_connection_interface_presence_return_from_set_status ()
void | tp_svc_connection_interface_presence_emit_presence_update ()
void | (*tp_svc_connection_interface_avatars_clear_avatar_impl) ()
void | tp_svc_connection_interface_avatars_implement_clear_avatar ()
void | tp_svc_connection_interface_avatars_return_from_clear_avatar ()
void | (*tp_svc_connection_interface_avatars_get_avatar_requirements_impl) ()
void | tp_svc_connection_interface_avatars_implement_get_avatar_requirements ()
void | tp_svc_connection_interface_avatars_return_from_get_avatar_requirements ()
void | (*tp_svc_connection_interface_avatars_get_avatar_tokens_impl) ()
void | tp_svc_connection_interface_avatars_implement_get_avatar_tokens ()
void | tp_svc_connection_interface_avatars_return_from_get_avatar_tokens ()
void | (*tp_svc_connection_interface_avatars_request_avatar_impl) ()
void | tp_svc_connection_interface_avatars_implement_request_avatar ()
void | tp_svc_connection_interface_avatars_return_from_request_avatar ()
void | (*tp_svc_connection_interface_avatars_set_avatar_impl) ()
void | tp_svc_connection_interface_avatars_implement_set_avatar ()
void | tp_svc_connection_interface_avatars_return_from_set_avatar ()
void | tp_svc_connection_interface_avatars_emit_avatar_updated ()
void | tp_svc_connection_interface_avatars_emit_avatar_retrieved ()
void | tp_svc_connection_interface_avatars_implement_request_avatars ()
void | (*tp_svc_connection_interface_avatars_request_avatars_impl) ()
void | tp_svc_connection_interface_avatars_return_from_request_avatars ()
void | (*tp_svc_connection_interface_avatars_get_known_avatar_tokens_impl) ()
void | tp_svc_connection_interface_avatars_implement_get_known_avatar_tokens ()
void | tp_svc_connection_interface_avatars_return_from_get_known_avatar_tokens ()
void | (*tp_svc_connection_interface_aliasing_get_alias_flags_impl) ()
void | tp_svc_connection_interface_aliasing_implement_get_alias_flags ()
void | tp_svc_connection_interface_aliasing_return_from_get_alias_flags ()
void | (*tp_svc_connection_interface_aliasing_request_aliases_impl) ()
void | tp_svc_connection_interface_aliasing_implement_request_aliases ()
void | tp_svc_connection_interface_aliasing_return_from_request_aliases ()
void | (*tp_svc_connection_interface_aliasing_get_aliases_impl) ()
void | tp_svc_connection_interface_aliasing_implement_get_aliases ()
void | tp_svc_connection_interface_aliasing_return_from_get_aliases ()
void | (*tp_svc_connection_interface_aliasing_set_aliases_impl) ()
void | tp_svc_connection_interface_aliasing_implement_set_aliases ()
void | tp_svc_connection_interface_aliasing_return_from_set_aliases ()
void | tp_svc_connection_interface_aliasing_emit_aliases_changed ()
void | tp_svc_connection_interface_balance_emit_balance_changed ()
void | (*tp_svc_connection_interface_capabilities_advertise_capabilities_impl) ()
void | tp_svc_connection_interface_capabilities_implement_advertise_capabilities ()
void | tp_svc_connection_interface_capabilities_return_from_advertise_capabilities ()
void | (*tp_svc_connection_interface_capabilities_get_capabilities_impl) ()
void | tp_svc_connection_interface_capabilities_implement_get_capabilities ()
void | tp_svc_connection_interface_capabilities_return_from_get_capabilities ()
void | tp_svc_connection_interface_capabilities_emit_capabilities_changed ()
void | tp_svc_connection_interface_contact_capabilities_emit_contact_capabilities_changed ()
void | (*tp_svc_connection_interface_contact_capabilities_get_contact_capabilities_impl) ()
void | tp_svc_connection_interface_contact_capabilities_return_from_get_contact_capabilities ()
void | tp_svc_connection_interface_contact_capabilities_implement_get_contact_capabilities ()
void | (*tp_svc_connection_interface_contact_capabilities_update_capabilities_impl) ()
void | tp_svc_connection_interface_contact_capabilities_return_from_update_capabilities ()
void | tp_svc_connection_interface_contact_capabilities_implement_update_capabilities ()
void | tp_svc_connection_interface_location_emit_location_updated ()
void | (*tp_svc_connection_interface_location_get_locations_impl) ()
void | tp_svc_connection_interface_location_return_from_get_locations ()
void | tp_svc_connection_interface_location_implement_get_locations ()
void | (*tp_svc_connection_interface_location_request_location_impl) ()
void | tp_svc_connection_interface_location_return_from_request_location ()
void | tp_svc_connection_interface_location_implement_request_location ()
void | (*tp_svc_connection_interface_location_set_location_impl) ()
void | tp_svc_connection_interface_location_return_from_set_location ()
void | tp_svc_connection_interface_location_implement_set_location ()
void | tp_svc_connection_interface_contact_info_emit_contact_info_changed ()
void | (*tp_svc_connection_interface_contact_info_get_contact_info_impl) ()
void | tp_svc_connection_interface_contact_info_implement_get_contact_info ()
void | tp_svc_connection_interface_contact_info_implement_refresh_contact_info ()
void | tp_svc_connection_interface_contact_info_implement_request_contact_info ()
void | tp_svc_connection_interface_contact_info_implement_set_contact_info ()
void | (*tp_svc_connection_interface_contact_info_refresh_contact_info_impl) ()
void | (*tp_svc_connection_interface_contact_info_request_contact_info_impl) ()
void | tp_svc_connection_interface_contact_info_return_from_get_contact_info ()
void | tp_svc_connection_interface_contact_info_return_from_refresh_contact_info ()
void | tp_svc_connection_interface_contact_info_return_from_request_contact_info ()
void | tp_svc_connection_interface_contact_info_return_from_set_contact_info ()
void | (*tp_svc_connection_interface_contact_info_set_contact_info_impl) ()
void | (*tp_svc_connection_interface_contact_blocking_block_contacts_impl) ()
void | tp_svc_connection_interface_contact_blocking_emit_blocked_contacts_changed ()
void | tp_svc_connection_interface_contact_blocking_implement_block_contacts ()
void | tp_svc_connection_interface_contact_blocking_implement_request_blocked_contacts ()
void | tp_svc_connection_interface_contact_blocking_implement_unblock_contacts ()
void | (*tp_svc_connection_interface_contact_blocking_request_blocked_contacts_impl) ()
void | tp_svc_connection_interface_contact_blocking_return_from_block_contacts ()
void | tp_svc_connection_interface_contact_blocking_return_from_request_blocked_contacts ()
void | tp_svc_connection_interface_contact_blocking_return_from_unblock_contacts ()
void | (*tp_svc_connection_interface_contact_blocking_unblock_contacts_impl) ()
void | (*tp_svc_connection_interface_contact_groups_add_to_group_impl) ()
void | tp_svc_connection_interface_contact_groups_emit_group_renamed ()
void | tp_svc_connection_interface_contact_groups_emit_groups_changed ()
void | tp_svc_connection_interface_contact_groups_emit_groups_created ()
void | tp_svc_connection_interface_contact_groups_emit_groups_removed ()
void | tp_svc_connection_interface_contact_groups_implement_add_to_group ()
void | tp_svc_connection_interface_contact_groups_implement_remove_from_group ()
void | tp_svc_connection_interface_contact_groups_implement_remove_group ()
void | tp_svc_connection_interface_contact_groups_implement_rename_group ()
void | tp_svc_connection_interface_contact_groups_implement_set_contact_groups ()
void | tp_svc_connection_interface_contact_groups_implement_set_group_members ()
void | (*tp_svc_connection_interface_contact_groups_remove_from_group_impl) ()
void | (*tp_svc_connection_interface_contact_groups_remove_group_impl) ()
void | (*tp_svc_connection_interface_contact_groups_rename_group_impl) ()
void | tp_svc_connection_interface_contact_groups_return_from_add_to_group ()
void | tp_svc_connection_interface_contact_groups_return_from_remove_from_group ()
void | tp_svc_connection_interface_contact_groups_return_from_remove_group ()
void | tp_svc_connection_interface_contact_groups_return_from_rename_group ()
void | tp_svc_connection_interface_contact_groups_return_from_set_contact_groups ()
void | tp_svc_connection_interface_contact_groups_return_from_set_group_members ()
void | (*tp_svc_connection_interface_contact_groups_set_contact_groups_impl) ()
void | (*tp_svc_connection_interface_contact_groups_set_group_members_impl) ()
void | (*tp_svc_connection_interface_contact_list_authorize_publication_impl) ()
void | (*tp_svc_connection_interface_contact_list_download_impl) ()
void | tp_svc_connection_interface_contact_list_emit_contacts_changed ()
void | tp_svc_connection_interface_contact_list_emit_contacts_changed_with_id ()
void | tp_svc_connection_interface_contact_list_emit_contact_list_state_changed ()
void | (*tp_svc_connection_interface_contact_list_get_contact_list_attributes_impl) ()
void | tp_svc_connection_interface_contact_list_implement_authorize_publication ()
void | tp_svc_connection_interface_contact_list_implement_download ()
void | tp_svc_connection_interface_contact_list_implement_get_contact_list_attributes ()
void | tp_svc_connection_interface_contact_list_implement_remove_contacts ()
void | tp_svc_connection_interface_contact_list_implement_request_subscription ()
void | tp_svc_connection_interface_contact_list_implement_unpublish ()
void | tp_svc_connection_interface_contact_list_implement_unsubscribe ()
void | (*tp_svc_connection_interface_contact_list_remove_contacts_impl) ()
void | (*tp_svc_connection_interface_contact_list_request_subscription_impl) ()
void | tp_svc_connection_interface_contact_list_return_from_authorize_publication ()
void | tp_svc_connection_interface_contact_list_return_from_download ()
void | tp_svc_connection_interface_contact_list_return_from_get_contact_list_attributes ()
void | tp_svc_connection_interface_contact_list_return_from_remove_contacts ()
void | tp_svc_connection_interface_contact_list_return_from_request_subscription ()
void | tp_svc_connection_interface_contact_list_return_from_unpublish ()
void | tp_svc_connection_interface_contact_list_return_from_unsubscribe ()
void | (*tp_svc_connection_interface_contact_list_unpublish_impl) ()
void | (*tp_svc_connection_interface_contact_list_unsubscribe_impl) ()
void | tp_svc_connection_interface_cellular_emit_imsi_changed ()
void | tp_svc_connection_interface_client_types_emit_client_types_updated ()
void | (*tp_svc_connection_interface_client_types_get_client_types_impl) ()
void | tp_svc_connection_interface_client_types_implement_get_client_types ()
void | tp_svc_connection_interface_client_types_implement_request_client_types ()
void | (*tp_svc_connection_interface_client_types_request_client_types_impl) ()
void | tp_svc_connection_interface_client_types_return_from_get_client_types ()
void | tp_svc_connection_interface_client_types_return_from_request_client_types ()
void | tp_svc_connection_interface_mail_notification_emit_mails_received ()
void | tp_svc_connection_interface_mail_notification_emit_unread_mails_changed ()
void | tp_svc_connection_interface_mail_notification_implement_request_inbox_url ()
void | tp_svc_connection_interface_mail_notification_implement_request_mail_url ()
void | (*tp_svc_connection_interface_mail_notification_request_inbox_url_impl) ()
void | (*tp_svc_connection_interface_mail_notification_request_mail_url_impl) ()
void | tp_svc_connection_interface_mail_notification_return_from_request_inbox_url ()
void | tp_svc_connection_interface_mail_notification_return_from_request_mail_url ()
void | tp_svc_connection_interface_power_saving_emit_power_saving_changed ()
void | tp_svc_connection_interface_power_saving_implement_set_power_saving ()
void | tp_svc_connection_interface_power_saving_return_from_set_power_saving ()
void | (*tp_svc_connection_interface_power_saving_set_power_saving_impl) ()
void | (*tp_svc_connection_interface_addressing_get_contacts_by_uri_impl) ()
void | (*tp_svc_connection_interface_addressing_get_contacts_by_vcard_field_impl) ()
void | tp_svc_connection_interface_addressing_implement_get_contacts_by_uri ()
void | tp_svc_connection_interface_addressing_implement_get_contacts_by_vcard_field ()
void | tp_svc_connection_interface_addressing_return_from_get_contacts_by_uri ()
void | tp_svc_connection_interface_addressing_return_from_get_contacts_by_vcard_field ()
void | tp_svc_connection_interface_renaming_emit_renamed ()
void | tp_svc_connection_interface_renaming_implement_request_rename ()
void | (*tp_svc_connection_interface_renaming_request_rename_impl) ()
void | tp_svc_connection_interface_renaming_return_from_request_rename ()
void | (*tp_svc_connection_interface_sidecars1_ensure_sidecar_impl) ()
void | tp_svc_connection_interface_sidecars1_implement_ensure_sidecar ()
void | tp_svc_connection_interface_sidecars1_return_from_ensure_sidecar ()

## Signals

void | connection-error | Has Details
void | new-channel | Has Details
void | self-contact-changed | Has Details
void | self-handle-changed | Has Details
void | status-changed | Has Details
void | channel-closed | Has Details
void | new-channels | Has Details
void | presences-changed | Has Details
void | presence-update | Has Details
void | avatar-retrieved | Has Details
void | avatar-updated | Has Details
void | aliases-changed | Has Details
void | balance-changed | Has Details
void | capabilities-changed | Has Details
void | contact-capabilities-changed | Has Details
void | location-updated | Has Details
void | contact-info-changed | Has Details
void | blocked-contacts-changed | Has Details
void | group-renamed | Has Details
void | groups-changed | Has Details
void | groups-created | Has Details
void | groups-removed | Has Details
void | contact-list-state-changed | Has Details
void | contacts-changed | Has Details
void | contacts-changed-with-id | Has Details
void | i-ms-ichanged | Has Details
void | client-types-updated | Has Details
void | mails-received | Has Details
void | unread-mails-changed | Has Details
void | power-saving-changed | Has Details
void | renamed | Has Details

## Types and Values

| TpSvcConnection
| TpSvcConnectionClass
| TpSvcConnectionInterfaceContacts
| TpSvcConnectionInterfaceContactsClass
| TpSvcConnectionInterfaceRequests
| TpSvcConnectionInterfaceRequestsClass
| TpSvcConnectionInterfaceSimplePresence
| TpSvcConnectionInterfaceSimplePresenceClass
| TpSvcConnectionInterfacePresence
| TpSvcConnectionInterfacePresenceClass
| TpSvcConnectionInterfaceAvatars
| TpSvcConnectionInterfaceAvatarsClass
| TpSvcConnectionInterfaceAliasing
| TpSvcConnectionInterfaceAliasingClass
| TpSvcConnectionInterfaceBalance
| TpSvcConnectionInterfaceBalanceClass
| TpSvcConnectionInterfaceCapabilities
| TpSvcConnectionInterfaceCapabilitiesClass
| TpSvcConnectionInterfaceContactCapabilities
| TpSvcConnectionInterfaceContactCapabilitiesClass
| TpSvcConnectionInterfaceLocation
| TpSvcConnectionInterfaceLocationClass
| TpSvcConnectionInterfaceContactInfo
| TpSvcConnectionInterfaceContactInfoClass
| TpSvcConnectionInterfaceContactBlocking
| TpSvcConnectionInterfaceContactBlockingClass
| TpSvcConnectionInterfaceContactGroups
| TpSvcConnectionInterfaceContactGroupsClass
| TpSvcConnectionInterfaceContactList
| TpSvcConnectionInterfaceContactListClass
| TpSvcConnectionInterfaceCellular
| TpSvcConnectionInterfaceCellularClass
| TpSvcConnectionInterfaceClientTypes
| TpSvcConnectionInterfaceClientTypesClass
| TpSvcConnectionInterfaceMailNotification
| TpSvcConnectionInterfaceMailNotificationClass
| TpSvcConnectionInterfacePowerSaving
| TpSvcConnectionInterfacePowerSavingClass
| TpSvcConnectionInterfaceAddressing
| TpSvcConnectionInterfaceAddressingClass
| TpSvcConnectionInterfaceRenaming
| TpSvcConnectionInterfaceRenamingClass
| TpSvcConnectionInterfaceSidecars1
| TpSvcConnectionInterfaceSidecars1Class

## Object Hierarchy

        GInterface
        ├── TpSvcConnection
        ├── TpSvcConnectionInterfaceAddressing
        ├── TpSvcConnectionInterfaceAliasing
        ├── TpSvcConnectionInterfaceAvatars
        ├── TpSvcConnectionInterfaceBalance
        ├── TpSvcConnectionInterfaceCapabilities
        ├── TpSvcConnectionInterfaceCellular
        ├── TpSvcConnectionInterfaceClientTypes
        ├── TpSvcConnectionInterfaceContactBlocking
        ├── TpSvcConnectionInterfaceContactCapabilities
        ├── TpSvcConnectionInterfaceContactGroups
        ├── TpSvcConnectionInterfaceContactInfo
        ├── TpSvcConnectionInterfaceContactList
        ├── TpSvcConnectionInterfaceContacts
        ├── TpSvcConnectionInterfaceLocation
        ├── TpSvcConnectionInterfaceMailNotification
        ├── TpSvcConnectionInterfacePowerSaving
        ├── TpSvcConnectionInterfacePresence
        ├── TpSvcConnectionInterfaceRenaming
        ├── TpSvcConnectionInterfaceRequests
        ├── TpSvcConnectionInterfaceSidecars1
        ╰── TpSvcConnectionInterfaceSimplePresence

## Known Implementations

TpSvcConnection is implemented by TpBaseConnection.

TpSvcConnectionInterfaceRequests is implemented by TpBaseConnection.

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

These interfaces (auto-generated from the Telepathy spec) make it easier to export objects implementing the Telepathy Connection and its optional interfaces, with the correct method and signal signatures, and emit signals from those objects in a type-safe way.

## Functions

### tp_svc_connection_connect_impl ()

    void
    (*tp_svc_connection_connect_impl) (TpSvcConnection *self,
                                       DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Connect on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_implement_connect ()

    void
    tp_svc_connection_implement_connect (TpSvcConnectionClass *klass,
                                         tp_svc_connection_connect_impl impl);

Register an implementation for the Connect method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Connect D-Bus method |

### tp_svc_connection_return_from_connect ()

    void
    tp_svc_connection_return_from_connect (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_disconnect_impl ()

    void
    (*tp_svc_connection_disconnect_impl) (TpSvcConnection *self,
                                          DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Disconnect on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_implement_disconnect ()

    void
    tp_svc_connection_implement_disconnect
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_disconnect_impl impl);

Register an implementation for the Disconnect method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Disconnect D-Bus method |

### tp_svc_connection_return_from_disconnect ()

    void
    tp_svc_connection_return_from_disconnect
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_get_interfaces_impl ()

    void
    (*tp_svc_connection_get_interfaces_impl)
                                   (TpSvcConnection *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetInterfaces on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_implement_get_interfaces ()

    void
    tp_svc_connection_implement_get_interfaces
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_get_interfaces_impl impl);

Register an implementation for the GetInterfaces method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetInterfaces D-Bus method |

### tp_svc_connection_return_from_get_interfaces ()

    void
    tp_svc_connection_return_from_get_interfaces
                                   (DBusGMethodInvocation *context,
                                    const gchar **out_Interfaces);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Interfaces | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_get_protocol_impl ()

    void
    (*tp_svc_connection_get_protocol_impl)
                                   (TpSvcConnection *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetProtocol on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_implement_get_protocol ()

    void
    tp_svc_connection_implement_get_protocol
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_get_protocol_impl impl);

Register an implementation for the GetProtocol method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetProtocol D-Bus method |

### tp_svc_connection_return_from_get_protocol ()

    void
    tp_svc_connection_return_from_get_protocol
                                   (DBusGMethodInvocation *context,
                                    const gchar *out_Protocol);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Protocol | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_get_self_handle_impl ()

    void
    (*tp_svc_connection_get_self_handle_impl)
                                   (TpSvcConnection *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetSelfHandle on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_implement_get_self_handle ()

    void
    tp_svc_connection_implement_get_self_handle
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_get_self_handle_impl impl);

Register an implementation for the GetSelfHandle method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetSelfHandle D-Bus method |

### tp_svc_connection_return_from_get_self_handle ()

    void
    tp_svc_connection_return_from_get_self_handle
                                   (DBusGMethodInvocation *context,
                                    guint out_Self_Handle);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Self_Handle | guint (FIXME, generate documentation) |

### tp_svc_connection_get_status_impl ()

    void
    (*tp_svc_connection_get_status_impl) (TpSvcConnection *self,
                                          DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetStatus on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_implement_get_status ()

    void
    tp_svc_connection_implement_get_status
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_get_status_impl impl);

Register an implementation for the GetStatus method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetStatus D-Bus method |

### tp_svc_connection_return_from_get_status ()

    void
    tp_svc_connection_return_from_get_status
                                   (DBusGMethodInvocation *context,
                                    guint out_Status);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Status | guint (FIXME, generate documentation) |

### tp_svc_connection_hold_handles_impl ()

    void
    (*tp_svc_connection_hold_handles_impl)
                                   (TpSvcConnection *self,
                                    guint in_Handle_Type,
                                    const GArray *in_Handles,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method HoldHandles on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
in_Handle_Type | guint (FIXME, generate documentation) |
in_Handles | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_implement_hold_handles ()

    void
    tp_svc_connection_implement_hold_handles
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_hold_handles_impl impl);

Register an implementation for the HoldHandles method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the HoldHandles D-Bus method |

### tp_svc_connection_return_from_hold_handles ()

    void
    tp_svc_connection_return_from_hold_handles
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_inspect_handles_impl ()

    void
    (*tp_svc_connection_inspect_handles_impl)
                                   (TpSvcConnection *self,
                                    guint in_Handle_Type,
                                    const GArray *in_Handles,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method InspectHandles on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
in_Handle_Type | guint (FIXME, generate documentation) |
in_Handles | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_implement_inspect_handles ()

    void
    tp_svc_connection_implement_inspect_handles
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_inspect_handles_impl impl);

Register an implementation for the InspectHandles method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the InspectHandles D-Bus method |

### tp_svc_connection_return_from_inspect_handles ()

    void
    tp_svc_connection_return_from_inspect_handles
                                   (DBusGMethodInvocation *context,
                                    const gchar **out_Identifiers);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Identifiers | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_list_channels_impl ()

    void
    (*tp_svc_connection_list_channels_impl)
                                   (TpSvcConnection *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method ListChannels on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_implement_list_channels ()

    void
    tp_svc_connection_implement_list_channels
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_list_channels_impl impl);

Register an implementation for the ListChannels method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the ListChannels D-Bus method |

### tp_svc_connection_return_from_list_channels ()

    void
    tp_svc_connection_return_from_list_channels
                                   (DBusGMethodInvocation *context,
                                    const GPtrArray *out_Channel_Info);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Channel_Info | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_connection_release_handles_impl ()

    void
    (*tp_svc_connection_release_handles_impl)
                                   (TpSvcConnection *self,
                                    guint in_Handle_Type,
                                    const GArray *in_Handles,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method ReleaseHandles on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
in_Handle_Type | guint (FIXME, generate documentation) |
in_Handles | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_implement_release_handles ()

    void
    tp_svc_connection_implement_release_handles
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_release_handles_impl impl);

Register an implementation for the ReleaseHandles method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the ReleaseHandles D-Bus method |

### tp_svc_connection_return_from_release_handles ()

    void
    tp_svc_connection_return_from_release_handles
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_request_channel_impl ()

    void
    (*tp_svc_connection_request_channel_impl)
                                   (TpSvcConnection *self,
                                    const gchar *in_Type,
                                    guint in_Handle_Type,
                                    guint in_Handle,
                                    gboolean in_Suppress_Handler,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestChannel on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
in_Type | const gchar * (FIXME, generate documentation) |
in_Handle_Type | guint (FIXME, generate documentation) |
in_Handle | guint (FIXME, generate documentation) |
in_Suppress_Handler | gboolean (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_implement_request_channel ()

    void
    tp_svc_connection_implement_request_channel
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_request_channel_impl impl);

Register an implementation for the RequestChannel method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestChannel D-Bus method |

### tp_svc_connection_return_from_request_channel ()

    void
    tp_svc_connection_return_from_request_channel
                                   (DBusGMethodInvocation *context,
                                    const gchar *out_Object_Path);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Object_Path | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_request_handles_impl ()

    void
    (*tp_svc_connection_request_handles_impl)
                                   (TpSvcConnection *self,
                                    guint in_Handle_Type,
                                    const gchar **in_Identifiers,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestHandles on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
in_Handle_Type | guint (FIXME, generate documentation) |
in_Identifiers | const gchar ** (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_implement_request_handles ()

    void
    tp_svc_connection_implement_request_handles
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_request_handles_impl impl);

Register an implementation for the RequestHandles method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestHandles D-Bus method |

### tp_svc_connection_return_from_request_handles ()

    void
    tp_svc_connection_return_from_request_handles
                                   (DBusGMethodInvocation *context,
                                    const GArray *out_Handles);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Handles | const GArray * (FIXME, generate documentation) |

### tp_svc_connection_emit_new_channel ()

    void
    tp_svc_connection_emit_new_channel (gpointer instance,
                                        const gchar *arg_Object_Path,
                                        const gchar *arg_Channel_Type,
                                        guint arg_Handle_Type,
                                        guint arg_Handle,
                                        gboolean arg_Suppress_Handler);

Type-safe wrapper around g_signal_emit to emit the NewChannel signal on interface org.freedesktop.Telepathy.Connection.

#### Parameters

instance | The object implementing this interface |
arg_Object_Path | const gchar * (FIXME, generate documentation) |
arg_Channel_Type | const gchar * (FIXME, generate documentation) |
arg_Handle_Type | guint (FIXME, generate documentation) |
arg_Handle | guint (FIXME, generate documentation) |
arg_Suppress_Handler | gboolean (FIXME, generate documentation) |

### tp_svc_connection_emit_self_handle_changed ()

    void
    tp_svc_connection_emit_self_handle_changed
                                   (gpointer instance,
                                    guint arg_Self_Handle);

Type-safe wrapper around g_signal_emit to emit the SelfHandleChanged signal on interface org.freedesktop.Telepathy.Connection.

#### Parameters

instance | The object implementing this interface |
arg_Self_Handle | guint (FIXME, generate documentation) |

### tp_svc_connection_emit_self_contact_changed ()

    void
    tp_svc_connection_emit_self_contact_changed
                                   (gpointer instance,
                                    guint arg_Self_Handle,
                                    const gchar *arg_Self_ID);

Type-safe wrapper around g_signal_emit to emit the SelfContactChanged signal on interface org.freedesktop.Telepathy.Connection.

#### Parameters

instance | The object implementing this interface |
arg_Self_Handle | guint (FIXME, generate documentation) |
arg_Self_ID | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_emit_status_changed ()

    void
    tp_svc_connection_emit_status_changed (gpointer instance,
                                           guint arg_Status,
                                           guint arg_Reason);

Type-safe wrapper around g_signal_emit to emit the StatusChanged signal on interface org.freedesktop.Telepathy.Connection.

#### Parameters

instance | The object implementing this interface |
arg_Status | guint (FIXME, generate documentation) |
arg_Reason | guint (FIXME, generate documentation) |

### tp_svc_connection_emit_connection_error ()

    void
    tp_svc_connection_emit_connection_error
                                   (gpointer instance,
                                    const gchar *arg_Error,
                                    GHashTable *arg_Details);

Type-safe wrapper around g_signal_emit to emit the ConnectionError signal on interface org.freedesktop.Telepathy.Connection.

#### Parameters

instance | The object implementing this interface |
arg_Error | const gchar * (FIXME, generate documentation) |
arg_Details | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_add_client_interest_impl ()

    void
    (*tp_svc_connection_add_client_interest_impl)
                                   (TpSvcConnection *self,
                                    const gchar **in_Tokens,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method AddClientInterest on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
in_Tokens | const gchar ** (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_implement_add_client_interest ()

    void
    tp_svc_connection_implement_add_client_interest
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_add_client_interest_impl impl);

Register an implementation for the AddClientInterest method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the AddClientInterest D-Bus method |

### tp_svc_connection_implement_remove_client_interest ()

    void
    tp_svc_connection_implement_remove_client_interest
                                   (TpSvcConnectionClass *klass,
                                    tp_svc_connection_remove_client_interest_impl impl);

Register an implementation for the RemoveClientInterest method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RemoveClientInterest D-Bus method |

### tp_svc_connection_remove_client_interest_impl ()

    void
    (*tp_svc_connection_remove_client_interest_impl)
                                   (TpSvcConnection *self,
                                    const gchar **in_Tokens,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RemoveClientInterest on interface org.freedesktop.Telepathy.Connection.

#### Parameters

self | The object implementing this interface |
in_Tokens | const gchar ** (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_return_from_add_client_interest ()

    void
    tp_svc_connection_return_from_add_client_interest
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_return_from_remove_client_interest ()

    void
    tp_svc_connection_return_from_remove_client_interest
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contacts_get_contact_attributes_impl ()

    void
    (*tp_svc_connection_interface_contacts_get_contact_attributes_impl)
                                   (TpSvcConnectionInterfaceContacts *self,
                                    const GArray *in_Handles,
                                    const gchar **in_Interfaces,
                                    gboolean in_Hold,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetContactAttributes on interface org.freedesktop.Telepathy.Connection.Interface.Contacts.

#### Parameters

self | The object implementing this interface |
in_Handles | const GArray * (FIXME, generate documentation) |
in_Interfaces | const gchar ** (FIXME, generate documentation) |
in_Hold | gboolean (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contacts_implement_get_contact_attributes ()

    void
    tp_svc_connection_interface_contacts_implement_get_contact_attributes
                                   (TpSvcConnectionInterfaceContactsClass *klass,
                                    tp_svc_connection_interface_contacts_get_contact_attributes_impl impl);

Register an implementation for the GetContactAttributes method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetContactAttributes D-Bus method |

### tp_svc_connection_interface_contacts_return_from_get_contact_attributes ()

    void
    tp_svc_connection_interface_contacts_return_from_get_contact_attributes
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Attributes);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Attributes | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_contacts_get_contact_by_id_impl ()

    void
    (*tp_svc_connection_interface_contacts_get_contact_by_id_impl)
                                   (TpSvcConnectionInterfaceContacts *self,
                                    const gchar *in_Identifier,
                                    const gchar **in_Interfaces,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetContactByID on interface org.freedesktop.Telepathy.Connection.Interface.Contacts.

#### Parameters

self | The object implementing this interface |
in_Identifier | const gchar * (FIXME, generate documentation) |
in_Interfaces | const gchar ** (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contacts_implement_get_contact_by_id ()

    void
    tp_svc_connection_interface_contacts_implement_get_contact_by_id
                                   (TpSvcConnectionInterfaceContactsClass *klass,
                                    tp_svc_connection_interface_contacts_get_contact_by_id_impl impl);

Register an implementation for the GetContactByID method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetContactByID D-Bus method |

### tp_svc_connection_interface_contacts_return_from_get_contact_by_id ()

    void
    tp_svc_connection_interface_contacts_return_from_get_contact_by_id
                                   (DBusGMethodInvocation *context,
                                    guint out_Handle,
                                    GHashTable *out_Attributes);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Handle | guint (FIXME, generate documentation) |
out_Attributes | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_requests_create_channel_impl ()

    void
    (*tp_svc_connection_interface_requests_create_channel_impl)
                                   (TpSvcConnectionInterfaceRequests *self,
                                    GHashTable *in_Request,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method CreateChannel on interface org.freedesktop.Telepathy.Connection.Interface.Requests.

#### Parameters

self | The object implementing this interface |
in_Request | GHashTable * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_requests_emit_channel_closed ()

    void
    tp_svc_connection_interface_requests_emit_channel_closed
                                   (gpointer instance,
                                    const gchar *arg_Removed);

Type-safe wrapper around g_signal_emit to emit the ChannelClosed signal on interface org.freedesktop.Telepathy.Connection.Interface.Requests.

#### Parameters

instance | The object implementing this interface |
arg_Removed | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_interface_requests_emit_new_channels ()

    void
    tp_svc_connection_interface_requests_emit_new_channels
                                   (gpointer instance,
                                    const GPtrArray *arg_Channels);

Type-safe wrapper around g_signal_emit to emit the NewChannels signal on interface org.freedesktop.Telepathy.Connection.Interface.Requests.

#### Parameters

instance | The object implementing this interface |
arg_Channels | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_requests_ensure_channel_impl ()

    void
    (*tp_svc_connection_interface_requests_ensure_channel_impl)
                                   (TpSvcConnectionInterfaceRequests *self,
                                    GHashTable *in_Request,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method EnsureChannel on interface org.freedesktop.Telepathy.Connection.Interface.Requests.

#### Parameters

self | The object implementing this interface |
in_Request | GHashTable * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_requests_implement_create_channel ()

    void
    tp_svc_connection_interface_requests_implement_create_channel
                                   (TpSvcConnectionInterfaceRequestsClass *klass,
                                    tp_svc_connection_interface_requests_create_channel_impl impl);

Register an implementation for the CreateChannel method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the CreateChannel D-Bus method |

### tp_svc_connection_interface_requests_implement_ensure_channel ()

    void
    tp_svc_connection_interface_requests_implement_ensure_channel
                                   (TpSvcConnectionInterfaceRequestsClass *klass,
                                    tp_svc_connection_interface_requests_ensure_channel_impl impl);

Register an implementation for the EnsureChannel method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the EnsureChannel D-Bus method |

### tp_svc_connection_interface_requests_return_from_create_channel ()

    void
    tp_svc_connection_interface_requests_return_from_create_channel
                                   (DBusGMethodInvocation *context,
                                    const gchar *out_Channel,
                                    GHashTable *out_Properties);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Channel | const gchar * (FIXME, generate documentation) |
out_Properties | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_requests_return_from_ensure_channel ()

    void
    tp_svc_connection_interface_requests_return_from_ensure_channel
                                   (DBusGMethodInvocation *context,
                                    gboolean out_Yours,
                                    const gchar *out_Channel,
                                    GHashTable *out_Properties);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Yours | gboolean (FIXME, generate documentation) |
out_Channel | const gchar * (FIXME, generate documentation) |
out_Properties | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_simple_presence_emit_presences_changed ()

    void
    tp_svc_connection_interface_simple_presence_emit_presences_changed
                                   (gpointer instance,
                                    GHashTable *arg_Presence);

Type-safe wrapper around g_signal_emit to emit the PresencesChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.SimplePresence.

#### Parameters

instance | The object implementing this interface |
arg_Presence | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_simple_presence_get_presences_impl ()

    void
    (*tp_svc_connection_interface_simple_presence_get_presences_impl)
                                   (TpSvcConnectionInterfaceSimplePresence *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetPresences on interface org.freedesktop.Telepathy.Connection.Interface.SimplePresence.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_simple_presence_implement_get_presences ()

    void
    tp_svc_connection_interface_simple_presence_implement_get_presences
                                   (TpSvcConnectionInterfaceSimplePresenceClass *klass,
                                    tp_svc_connection_interface_simple_presence_get_presences_impl impl);

Register an implementation for the GetPresences method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetPresences D-Bus method |

### tp_svc_connection_interface_simple_presence_implement_set_presence ()

    void
    tp_svc_connection_interface_simple_presence_implement_set_presence
                                   (TpSvcConnectionInterfaceSimplePresenceClass *klass,
                                    tp_svc_connection_interface_simple_presence_set_presence_impl impl);

Register an implementation for the SetPresence method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetPresence D-Bus method |

### tp_svc_connection_interface_simple_presence_return_from_get_presences ()

    void
    tp_svc_connection_interface_simple_presence_return_from_get_presences
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Presence);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Presence | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_simple_presence_return_from_set_presence ()

    void
    tp_svc_connection_interface_simple_presence_return_from_set_presence
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_simple_presence_set_presence_impl ()

    void
    (*tp_svc_connection_interface_simple_presence_set_presence_impl)
                                   (TpSvcConnectionInterfaceSimplePresence *self,
                                    const gchar *in_Status,
                                    const gchar *in_Status_Message,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetPresence on interface org.freedesktop.Telepathy.Connection.Interface.SimplePresence.

#### Parameters

self | The object implementing this interface |
in_Status | const gchar * (FIXME, generate documentation) |
in_Status_Message | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_presence_add_status_impl ()

    void
    (*tp_svc_connection_interface_presence_add_status_impl)
                                   (TpSvcConnectionInterfacePresence *self,
                                    const gchar *in_Status,
                                    GHashTable *in_Parameters,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method AddStatus on interface org.freedesktop.Telepathy.Connection.Interface.Presence.

#### Parameters

self | The object implementing this interface |
in_Status | const gchar * (FIXME, generate documentation) |
in_Parameters | GHashTable * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_presence_implement_add_status ()

    void
    tp_svc_connection_interface_presence_implement_add_status
                                   (TpSvcConnectionInterfacePresenceClass *klass,
                                    tp_svc_connection_interface_presence_add_status_impl impl);

Register an implementation for the AddStatus method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the AddStatus D-Bus method |

### tp_svc_connection_interface_presence_return_from_add_status ()

    void
    tp_svc_connection_interface_presence_return_from_add_status
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_presence_clear_status_impl ()

    void
    (*tp_svc_connection_interface_presence_clear_status_impl)
                                   (TpSvcConnectionInterfacePresence *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method ClearStatus on interface org.freedesktop.Telepathy.Connection.Interface.Presence.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_interface_presence_implement_clear_status ()

    void
    tp_svc_connection_interface_presence_implement_clear_status
                                   (TpSvcConnectionInterfacePresenceClass *klass,
                                    tp_svc_connection_interface_presence_clear_status_impl impl);

Register an implementation for the ClearStatus method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the ClearStatus D-Bus method |

### tp_svc_connection_interface_presence_return_from_clear_status ()

    void
    tp_svc_connection_interface_presence_return_from_clear_status
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_presence_get_presence_impl ()

    void
    (*tp_svc_connection_interface_presence_get_presence_impl)
                                   (TpSvcConnectionInterfacePresence *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetPresence on interface org.freedesktop.Telepathy.Connection.Interface.Presence.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_presence_implement_get_presence ()

    void
    tp_svc_connection_interface_presence_implement_get_presence
                                   (TpSvcConnectionInterfacePresenceClass *klass,
                                    tp_svc_connection_interface_presence_get_presence_impl impl);

Register an implementation for the GetPresence method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetPresence D-Bus method |

### tp_svc_connection_interface_presence_return_from_get_presence ()

    void
    tp_svc_connection_interface_presence_return_from_get_presence
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Presence);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Presence | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_presence_get_statuses_impl ()

    void
    (*tp_svc_connection_interface_presence_get_statuses_impl)
                                   (TpSvcConnectionInterfacePresence *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetStatuses on interface org.freedesktop.Telepathy.Connection.Interface.Presence.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_interface_presence_implement_get_statuses ()

    void
    tp_svc_connection_interface_presence_implement_get_statuses
                                   (TpSvcConnectionInterfacePresenceClass *klass,
                                    tp_svc_connection_interface_presence_get_statuses_impl impl);

Register an implementation for the GetStatuses method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetStatuses D-Bus method |

### tp_svc_connection_interface_presence_return_from_get_statuses ()

    void
    tp_svc_connection_interface_presence_return_from_get_statuses
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Available_Statuses);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Available_Statuses | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_presence_remove_status_impl ()

    void
    (*tp_svc_connection_interface_presence_remove_status_impl)
                                   (TpSvcConnectionInterfacePresence *self,
                                    const gchar *in_Status,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RemoveStatus on interface org.freedesktop.Telepathy.Connection.Interface.Presence.

#### Parameters

self | The object implementing this interface |
in_Status | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_presence_implement_remove_status ()

    void
    tp_svc_connection_interface_presence_implement_remove_status
                                   (TpSvcConnectionInterfacePresenceClass *klass,
                                    tp_svc_connection_interface_presence_remove_status_impl impl);

Register an implementation for the RemoveStatus method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RemoveStatus D-Bus method |

### tp_svc_connection_interface_presence_return_from_remove_status ()

    void
    tp_svc_connection_interface_presence_return_from_remove_status
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_presence_request_presence_impl ()

    void
    (*tp_svc_connection_interface_presence_request_presence_impl)
                                   (TpSvcConnectionInterfacePresence *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestPresence on interface org.freedesktop.Telepathy.Connection.Interface.Presence.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_presence_implement_request_presence ()

    void
    tp_svc_connection_interface_presence_implement_request_presence
                                   (TpSvcConnectionInterfacePresenceClass *klass,
                                    tp_svc_connection_interface_presence_request_presence_impl impl);

Register an implementation for the RequestPresence method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestPresence D-Bus method |

### tp_svc_connection_interface_presence_return_from_request_presence ()

    void
    tp_svc_connection_interface_presence_return_from_request_presence
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_presence_set_last_activity_time_impl ()

    void
    (*tp_svc_connection_interface_presence_set_last_activity_time_impl)
                                   (TpSvcConnectionInterfacePresence *self,
                                    guint in_Time,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetLastActivityTime on interface org.freedesktop.Telepathy.Connection.Interface.Presence.

#### Parameters

self | The object implementing this interface |
in_Time | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_presence_implement_set_last_activity_time ()

    void
    tp_svc_connection_interface_presence_implement_set_last_activity_time
                                   (TpSvcConnectionInterfacePresenceClass *klass,
                                    tp_svc_connection_interface_presence_set_last_activity_time_impl impl);

Register an implementation for the SetLastActivityTime method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetLastActivityTime D-Bus method |

### tp_svc_connection_interface_presence_return_from_set_last_activity_time ()

    void
    tp_svc_connection_interface_presence_return_from_set_last_activity_time
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_presence_set_status_impl ()

    void
    (*tp_svc_connection_interface_presence_set_status_impl)
                                   (TpSvcConnectionInterfacePresence *self,
                                    GHashTable *in_Statuses,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetStatus on interface org.freedesktop.Telepathy.Connection.Interface.Presence.

#### Parameters

self | The object implementing this interface |
in_Statuses | GHashTable * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_presence_implement_set_status ()

    void
    tp_svc_connection_interface_presence_implement_set_status
                                   (TpSvcConnectionInterfacePresenceClass *klass,
                                    tp_svc_connection_interface_presence_set_status_impl impl);

Register an implementation for the SetStatus method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetStatus D-Bus method |

### tp_svc_connection_interface_presence_return_from_set_status ()

    void
    tp_svc_connection_interface_presence_return_from_set_status
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_presence_emit_presence_update ()

    void
    tp_svc_connection_interface_presence_emit_presence_update
                                   (gpointer instance,
                                    GHashTable *arg_Presence);

Type-safe wrapper around g_signal_emit to emit the PresenceUpdate signal on interface org.freedesktop.Telepathy.Connection.Interface.Presence.

#### Parameters

instance | The object implementing this interface |
arg_Presence | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_avatars_clear_avatar_impl ()

    void
    (*tp_svc_connection_interface_avatars_clear_avatar_impl)
                                   (TpSvcConnectionInterfaceAvatars *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method ClearAvatar on interface org.freedesktop.Telepathy.Connection.Interface.Avatars.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_interface_avatars_implement_clear_avatar ()

    void
    tp_svc_connection_interface_avatars_implement_clear_avatar
                                   (TpSvcConnectionInterfaceAvatarsClass *klass,
                                    tp_svc_connection_interface_avatars_clear_avatar_impl impl);

Register an implementation for the ClearAvatar method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the ClearAvatar D-Bus method |

### tp_svc_connection_interface_avatars_return_from_clear_avatar ()

    void
    tp_svc_connection_interface_avatars_return_from_clear_avatar
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_avatars_get_avatar_requirements_impl ()

    void
    (*tp_svc_connection_interface_avatars_get_avatar_requirements_impl)
                                   (TpSvcConnectionInterfaceAvatars *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetAvatarRequirements on interface org.freedesktop.Telepathy.Connection.Interface.Avatars.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_interface_avatars_implement_get_avatar_requirements ()

    void
    tp_svc_connection_interface_avatars_implement_get_avatar_requirements
                                   (TpSvcConnectionInterfaceAvatarsClass *klass,
                                    tp_svc_connection_interface_avatars_get_avatar_requirements_impl impl);

Register an implementation for the GetAvatarRequirements method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetAvatarRequirements D-Bus method |

### tp_svc_connection_interface_avatars_return_from_get_avatar_requirements ()

    void
    tp_svc_connection_interface_avatars_return_from_get_avatar_requirements
                                   (DBusGMethodInvocation *context,
                                    const gchar **out_MIME_Types,
                                    guint out_Min_Width,
                                    guint out_Min_Height,
                                    guint out_Max_Width,
                                    guint out_Max_Height,
                                    guint out_Max_Bytes);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_MIME_Types | const gchar ** (FIXME, generate documentation) |
out_Min_Width | guint (FIXME, generate documentation) |
out_Min_Height | guint (FIXME, generate documentation) |
out_Max_Width | guint (FIXME, generate documentation) |
out_Max_Height | guint (FIXME, generate documentation) |
out_Max_Bytes | guint (FIXME, generate documentation) |

### tp_svc_connection_interface_avatars_get_avatar_tokens_impl ()

    void
    (*tp_svc_connection_interface_avatars_get_avatar_tokens_impl)
                                   (TpSvcConnectionInterfaceAvatars *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetAvatarTokens on interface org.freedesktop.Telepathy.Connection.Interface.Avatars.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_avatars_implement_get_avatar_tokens ()

    void
    tp_svc_connection_interface_avatars_implement_get_avatar_tokens
                                   (TpSvcConnectionInterfaceAvatarsClass *klass,
                                    tp_svc_connection_interface_avatars_get_avatar_tokens_impl impl);

Register an implementation for the GetAvatarTokens method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetAvatarTokens D-Bus method |

### tp_svc_connection_interface_avatars_return_from_get_avatar_tokens ()

    void
    tp_svc_connection_interface_avatars_return_from_get_avatar_tokens
                                   (DBusGMethodInvocation *context,
                                    const gchar **out_Tokens);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Tokens | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_interface_avatars_request_avatar_impl ()

    void
    (*tp_svc_connection_interface_avatars_request_avatar_impl)
                                   (TpSvcConnectionInterfaceAvatars *self,
                                    guint in_Contact,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestAvatar on interface org.freedesktop.Telepathy.Connection.Interface.Avatars.

#### Parameters

self | The object implementing this interface |
in_Contact | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_avatars_implement_request_avatar ()

    void
    tp_svc_connection_interface_avatars_implement_request_avatar
                                   (TpSvcConnectionInterfaceAvatarsClass *klass,
                                    tp_svc_connection_interface_avatars_request_avatar_impl impl);

Register an implementation for the RequestAvatar method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestAvatar D-Bus method |

### tp_svc_connection_interface_avatars_return_from_request_avatar ()

    void
    tp_svc_connection_interface_avatars_return_from_request_avatar
                                   (DBusGMethodInvocation *context,
                                    const GArray *out_Data,
                                    const gchar *out_MIME_Type);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Data | const GArray * (FIXME, generate documentation) |
out_MIME_Type | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_interface_avatars_set_avatar_impl ()

    void
    (*tp_svc_connection_interface_avatars_set_avatar_impl)
                                   (TpSvcConnectionInterfaceAvatars *self,
                                    const GArray *in_Avatar,
                                    const gchar *in_MIME_Type,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetAvatar on interface org.freedesktop.Telepathy.Connection.Interface.Avatars.

#### Parameters

self | The object implementing this interface |
in_Avatar | const GArray * (FIXME, generate documentation) |
in_MIME_Type | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_avatars_implement_set_avatar ()

    void
    tp_svc_connection_interface_avatars_implement_set_avatar
                                   (TpSvcConnectionInterfaceAvatarsClass *klass,
                                    tp_svc_connection_interface_avatars_set_avatar_impl impl);

Register an implementation for the SetAvatar method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetAvatar D-Bus method |

### tp_svc_connection_interface_avatars_return_from_set_avatar ()

    void
    tp_svc_connection_interface_avatars_return_from_set_avatar
                                   (DBusGMethodInvocation *context,
                                    const gchar *out_Token);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Token | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_interface_avatars_emit_avatar_updated ()

    void
    tp_svc_connection_interface_avatars_emit_avatar_updated
                                   (gpointer instance,
                                    guint arg_Contact,
                                    const gchar *arg_New_Avatar_Token);

Type-safe wrapper around g_signal_emit to emit the AvatarUpdated signal on interface org.freedesktop.Telepathy.Connection.Interface.Avatars.

#### Parameters

instance | The object implementing this interface |
arg_Contact | guint (FIXME, generate documentation) |
arg_New_Avatar_Token | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_interface_avatars_emit_avatar_retrieved ()

    void
    tp_svc_connection_interface_avatars_emit_avatar_retrieved
                                   (gpointer instance,
                                    guint arg_Contact,
                                    const gchar *arg_Token,
                                    const GArray *arg_Avatar,
                                    const gchar *arg_Type);

Type-safe wrapper around g_signal_emit to emit the AvatarRetrieved signal on interface org.freedesktop.Telepathy.Connection.Interface.Avatars.

#### Parameters

instance | The object implementing this interface |
arg_Contact | guint (FIXME, generate documentation) |
arg_Token | const gchar * (FIXME, generate documentation) |
arg_Avatar | const GArray * (FIXME, generate documentation) |
arg_Type | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_interface_avatars_implement_request_avatars ()

    void
    tp_svc_connection_interface_avatars_implement_request_avatars
                                   (TpSvcConnectionInterfaceAvatarsClass *klass,
                                    tp_svc_connection_interface_avatars_request_avatars_impl impl);

Register an implementation for the RequestAvatars method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestAvatars D-Bus method |

### tp_svc_connection_interface_avatars_request_avatars_impl ()

    void
    (*tp_svc_connection_interface_avatars_request_avatars_impl)
                                   (TpSvcConnectionInterfaceAvatars *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestAvatars on interface org.freedesktop.Telepathy.Connection.Interface.Avatars.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_avatars_return_from_request_avatars ()

    void
    tp_svc_connection_interface_avatars_return_from_request_avatars
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_avatars_get_known_avatar_tokens_impl ()

    void
    (*tp_svc_connection_interface_avatars_get_known_avatar_tokens_impl)
                                   (TpSvcConnectionInterfaceAvatars *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetKnownAvatarTokens on interface org.freedesktop.Telepathy.Connection.Interface.Avatars.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_avatars_implement_get_known_avatar_tokens ()

    void
    tp_svc_connection_interface_avatars_implement_get_known_avatar_tokens
                                   (TpSvcConnectionInterfaceAvatarsClass *klass,
                                    tp_svc_connection_interface_avatars_get_known_avatar_tokens_impl impl);

Register an implementation for the GetKnownAvatarTokens method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetKnownAvatarTokens D-Bus method |

### tp_svc_connection_interface_avatars_return_from_get_known_avatar_tokens ()

    void
    tp_svc_connection_interface_avatars_return_from_get_known_avatar_tokens
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Tokens);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Tokens | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_aliasing_get_alias_flags_impl ()

    void
    (*tp_svc_connection_interface_aliasing_get_alias_flags_impl)
                                   (TpSvcConnectionInterfaceAliasing *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetAliasFlags on interface org.freedesktop.Telepathy.Connection.Interface.Aliasing.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_interface_aliasing_implement_get_alias_flags ()

    void
    tp_svc_connection_interface_aliasing_implement_get_alias_flags
                                   (TpSvcConnectionInterfaceAliasingClass *klass,
                                    tp_svc_connection_interface_aliasing_get_alias_flags_impl impl);

Register an implementation for the GetAliasFlags method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetAliasFlags D-Bus method |

### tp_svc_connection_interface_aliasing_return_from_get_alias_flags ()

    void
    tp_svc_connection_interface_aliasing_return_from_get_alias_flags
                                   (DBusGMethodInvocation *context,
                                    guint out_Alias_Flags);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Alias_Flags | guint (FIXME, generate documentation) |

### tp_svc_connection_interface_aliasing_request_aliases_impl ()

    void
    (*tp_svc_connection_interface_aliasing_request_aliases_impl)
                                   (TpSvcConnectionInterfaceAliasing *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestAliases on interface org.freedesktop.Telepathy.Connection.Interface.Aliasing.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_aliasing_implement_request_aliases ()

    void
    tp_svc_connection_interface_aliasing_implement_request_aliases
                                   (TpSvcConnectionInterfaceAliasingClass *klass,
                                    tp_svc_connection_interface_aliasing_request_aliases_impl impl);

Register an implementation for the RequestAliases method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestAliases D-Bus method |

### tp_svc_connection_interface_aliasing_return_from_request_aliases ()

    void
    tp_svc_connection_interface_aliasing_return_from_request_aliases
                                   (DBusGMethodInvocation *context,
                                    const gchar **out_Aliases);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Aliases | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_interface_aliasing_get_aliases_impl ()

    void
    (*tp_svc_connection_interface_aliasing_get_aliases_impl)
                                   (TpSvcConnectionInterfaceAliasing *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetAliases on interface org.freedesktop.Telepathy.Connection.Interface.Aliasing.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_aliasing_implement_get_aliases ()

    void
    tp_svc_connection_interface_aliasing_implement_get_aliases
                                   (TpSvcConnectionInterfaceAliasingClass *klass,
                                    tp_svc_connection_interface_aliasing_get_aliases_impl impl);

Register an implementation for the GetAliases method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetAliases D-Bus method |

### tp_svc_connection_interface_aliasing_return_from_get_aliases ()

    void
    tp_svc_connection_interface_aliasing_return_from_get_aliases
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Aliases);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Aliases | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_aliasing_set_aliases_impl ()

    void
    (*tp_svc_connection_interface_aliasing_set_aliases_impl)
                                   (TpSvcConnectionInterfaceAliasing *self,
                                    GHashTable *in_Aliases,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetAliases on interface org.freedesktop.Telepathy.Connection.Interface.Aliasing.

#### Parameters

self | The object implementing this interface |
in_Aliases | GHashTable * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_aliasing_implement_set_aliases ()

    void
    tp_svc_connection_interface_aliasing_implement_set_aliases
                                   (TpSvcConnectionInterfaceAliasingClass *klass,
                                    tp_svc_connection_interface_aliasing_set_aliases_impl impl);

Register an implementation for the SetAliases method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetAliases D-Bus method |

### tp_svc_connection_interface_aliasing_return_from_set_aliases ()

    void
    tp_svc_connection_interface_aliasing_return_from_set_aliases
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_aliasing_emit_aliases_changed ()

    void
    tp_svc_connection_interface_aliasing_emit_aliases_changed
                                   (gpointer instance,
                                    const GPtrArray *arg_Aliases);

Type-safe wrapper around g_signal_emit to emit the AliasesChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.Aliasing.

#### Parameters

instance | The object implementing this interface |
arg_Aliases | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_balance_emit_balance_changed ()

    void
    tp_svc_connection_interface_balance_emit_balance_changed
                                   (gpointer instance,
                                    const GValueArray *arg_Balance);

Type-safe wrapper around g_signal_emit to emit the BalanceChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.Balance.

#### Parameters

instance | The object implementing this interface |
arg_Balance | const GValueArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_capabilities_advertise_capabilities_impl ()

    void
    (*tp_svc_connection_interface_capabilities_advertise_capabilities_impl)
                                   (TpSvcConnectionInterfaceCapabilities *self,
                                    const GPtrArray *in_Add,
                                    const gchar **in_Remove,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method AdvertiseCapabilities on interface org.freedesktop.Telepathy.Connection.Interface.Capabilities.

#### Parameters

self | The object implementing this interface |
in_Add | const GPtrArray * (FIXME, generate documentation) |
in_Remove | const gchar ** (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_capabilities_implement_advertise_capabilities ()

    void
    tp_svc_connection_interface_capabilities_implement_advertise_capabilities
                                   (TpSvcConnectionInterfaceCapabilitiesClass *klass,
                                    tp_svc_connection_interface_capabilities_advertise_capabilities_impl impl);

Register an implementation for the AdvertiseCapabilities method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the AdvertiseCapabilities D-Bus method |

### tp_svc_connection_interface_capabilities_return_from_advertise_capabilities ()

    void
    tp_svc_connection_interface_capabilities_return_from_advertise_capabilities
                                   (DBusGMethodInvocation *context,
                                    const GPtrArray *out_Self_Capabilities);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Self_Capabilities | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_capabilities_get_capabilities_impl ()

    void
    (*tp_svc_connection_interface_capabilities_get_capabilities_impl)
                                   (TpSvcConnectionInterfaceCapabilities *self,
                                    const GArray *in_Handles,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetCapabilities on interface org.freedesktop.Telepathy.Connection.Interface.Capabilities.

#### Parameters

self | The object implementing this interface |
in_Handles | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_capabilities_implement_get_capabilities ()

    void
    tp_svc_connection_interface_capabilities_implement_get_capabilities
                                   (TpSvcConnectionInterfaceCapabilitiesClass *klass,
                                    tp_svc_connection_interface_capabilities_get_capabilities_impl impl);

Register an implementation for the GetCapabilities method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetCapabilities D-Bus method |

### tp_svc_connection_interface_capabilities_return_from_get_capabilities ()

    void
    tp_svc_connection_interface_capabilities_return_from_get_capabilities
                                   (DBusGMethodInvocation *context,
                                    const GPtrArray *out_Contact_Capabilities);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Contact_Capabilities | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_capabilities_emit_capabilities_changed ()

    void
    tp_svc_connection_interface_capabilities_emit_capabilities_changed
                                   (gpointer instance,
                                    const GPtrArray *arg_Caps);

Type-safe wrapper around g_signal_emit to emit the CapabilitiesChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.Capabilities.

#### Parameters

instance | The object implementing this interface |
arg_Caps | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_capabilities_emit_contact_capabilities_changed ()

    void
    tp_svc_connection_interface_contact_capabilities_emit_contact_capabilities_changed
                                   (gpointer instance,
                                    GHashTable *arg_caps);

Type-safe wrapper around g_signal_emit to emit the ContactCapabilitiesChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactCapabilities.

#### Parameters

instance | The object implementing this interface |
arg_caps | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_capabilities_get_contact_capabilities_impl ()

    void
    (*tp_svc_connection_interface_contact_capabilities_get_contact_capabilities_impl)
                                   (TpSvcConnectionInterfaceContactCapabilities *self,
                                    const GArray *in_Handles,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetContactCapabilities on interface org.freedesktop.Telepathy.Connection.Interface.ContactCapabilities.

#### Parameters

self | The object implementing this interface |
in_Handles | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_capabilities_return_from_get_contact_capabilities ()

    void
    tp_svc_connection_interface_contact_capabilities_return_from_get_contact_capabilities
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Contact_Capabilities);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Contact_Capabilities | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_capabilities_implement_get_contact_capabilities ()

    void
    tp_svc_connection_interface_contact_capabilities_implement_get_contact_capabilities
                                   (TpSvcConnectionInterfaceContactCapabilitiesClass *klass,
                                    tp_svc_connection_interface_contact_capabilities_get_contact_capabilities_impl impl);

Register an implementation for the GetContactCapabilities method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetContactCapabilities D-Bus method |

### tp_svc_connection_interface_contact_capabilities_update_capabilities_impl ()

    void
    (*tp_svc_connection_interface_contact_capabilities_update_capabilities_impl)
                                   (TpSvcConnectionInterfaceContactCapabilities *self,
                                    const GPtrArray *in_Handler_Capabilities,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method UpdateCapabilities on interface org.freedesktop.Telepathy.Connection.Interface.ContactCapabilities.

#### Parameters

self | The object implementing this interface |
in_Handler_Capabilities | const GPtrArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_capabilities_return_from_update_capabilities ()

    void
    tp_svc_connection_interface_contact_capabilities_return_from_update_capabilities
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_capabilities_implement_update_capabilities ()

    void
    tp_svc_connection_interface_contact_capabilities_implement_update_capabilities
                                   (TpSvcConnectionInterfaceContactCapabilitiesClass *klass,
                                    tp_svc_connection_interface_contact_capabilities_update_capabilities_impl impl);

Register an implementation for the UpdateCapabilities method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the UpdateCapabilities D-Bus method |

### tp_svc_connection_interface_location_emit_location_updated ()

    void
    tp_svc_connection_interface_location_emit_location_updated
                                   (gpointer instance,
                                    guint arg_Contact,
                                    GHashTable *arg_Location);

Type-safe wrapper around g_signal_emit to emit the LocationUpdated signal on interface org.freedesktop.Telepathy.Connection.Interface.Location.

#### Parameters

instance | The object implementing this interface |
arg_Contact | guint (FIXME, generate documentation) |
arg_Location | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_location_get_locations_impl ()

    void
    (*tp_svc_connection_interface_location_get_locations_impl)
                                   (TpSvcConnectionInterfaceLocation *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetLocations on interface org.freedesktop.Telepathy.Connection.Interface.Location.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_location_return_from_get_locations ()

    void
    tp_svc_connection_interface_location_return_from_get_locations
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Locations);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Locations | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_location_implement_get_locations ()

    void
    tp_svc_connection_interface_location_implement_get_locations
                                   (TpSvcConnectionInterfaceLocationClass *klass,
                                    tp_svc_connection_interface_location_get_locations_impl impl);

Register an implementation for the GetLocations method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetLocations D-Bus method |

### tp_svc_connection_interface_location_request_location_impl ()

    void
    (*tp_svc_connection_interface_location_request_location_impl)
                                   (TpSvcConnectionInterfaceLocation *self,
                                    guint in_Contact,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestLocation on interface org.freedesktop.Telepathy.Connection.Interface.Location.

#### Parameters

self | The object implementing this interface |
in_Contact | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_location_return_from_request_location ()

    void
    tp_svc_connection_interface_location_return_from_request_location
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Location);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Location | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_location_implement_request_location ()

    void
    tp_svc_connection_interface_location_implement_request_location
                                   (TpSvcConnectionInterfaceLocationClass *klass,
                                    tp_svc_connection_interface_location_request_location_impl impl);

Register an implementation for the RequestLocation method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestLocation D-Bus method |

### tp_svc_connection_interface_location_set_location_impl ()

    void
    (*tp_svc_connection_interface_location_set_location_impl)
                                   (TpSvcConnectionInterfaceLocation *self,
                                    GHashTable *in_Location,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetLocation on interface org.freedesktop.Telepathy.Connection.Interface.Location.

#### Parameters

self | The object implementing this interface |
in_Location | GHashTable * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_location_return_from_set_location ()

    void
    tp_svc_connection_interface_location_return_from_set_location
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_location_implement_set_location ()

    void
    tp_svc_connection_interface_location_implement_set_location
                                   (TpSvcConnectionInterfaceLocationClass *klass,
                                    tp_svc_connection_interface_location_set_location_impl impl);

Register an implementation for the SetLocation method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetLocation D-Bus method |

### tp_svc_connection_interface_contact_info_emit_contact_info_changed ()

    void
    tp_svc_connection_interface_contact_info_emit_contact_info_changed
                                   (gpointer instance,
                                    guint arg_Contact,
                                    const GPtrArray *arg_ContactInfo);

Type-safe wrapper around g_signal_emit to emit the ContactInfoChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactInfo.

#### Parameters

instance | The object implementing this interface |
arg_Contact | guint (FIXME, generate documentation) |
arg_ContactInfo | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_info_get_contact_info_impl ()

    void
    (*tp_svc_connection_interface_contact_info_get_contact_info_impl)
                                   (TpSvcConnectionInterfaceContactInfo *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetContactInfo on interface org.freedesktop.Telepathy.Connection.Interface.ContactInfo.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_info_implement_get_contact_info ()

    void
    tp_svc_connection_interface_contact_info_implement_get_contact_info
                                   (TpSvcConnectionInterfaceContactInfoClass *klass,
                                    tp_svc_connection_interface_contact_info_get_contact_info_impl impl);

Register an implementation for the GetContactInfo method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetContactInfo D-Bus method |

### tp_svc_connection_interface_contact_info_implement_refresh_contact_info ()

    void
    tp_svc_connection_interface_contact_info_implement_refresh_contact_info
                                   (TpSvcConnectionInterfaceContactInfoClass *klass,
                                    tp_svc_connection_interface_contact_info_refresh_contact_info_impl impl);

Register an implementation for the RefreshContactInfo method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RefreshContactInfo D-Bus method |

### tp_svc_connection_interface_contact_info_implement_request_contact_info ()

    void
    tp_svc_connection_interface_contact_info_implement_request_contact_info
                                   (TpSvcConnectionInterfaceContactInfoClass *klass,
                                    tp_svc_connection_interface_contact_info_request_contact_info_impl impl);

Register an implementation for the RequestContactInfo method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestContactInfo D-Bus method |

### tp_svc_connection_interface_contact_info_implement_set_contact_info ()

    void
    tp_svc_connection_interface_contact_info_implement_set_contact_info
                                   (TpSvcConnectionInterfaceContactInfoClass *klass,
                                    tp_svc_connection_interface_contact_info_set_contact_info_impl impl);

Register an implementation for the SetContactInfo method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetContactInfo D-Bus method |

### tp_svc_connection_interface_contact_info_refresh_contact_info_impl ()

    void
    (*tp_svc_connection_interface_contact_info_refresh_contact_info_impl)
                                   (TpSvcConnectionInterfaceContactInfo *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RefreshContactInfo on interface org.freedesktop.Telepathy.Connection.Interface.ContactInfo.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_info_request_contact_info_impl ()

    void
    (*tp_svc_connection_interface_contact_info_request_contact_info_impl)
                                   (TpSvcConnectionInterfaceContactInfo *self,
                                    guint in_Contact,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestContactInfo on interface org.freedesktop.Telepathy.Connection.Interface.ContactInfo.

#### Parameters

self | The object implementing this interface |
in_Contact | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_info_return_from_get_contact_info ()

    void
    tp_svc_connection_interface_contact_info_return_from_get_contact_info
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_ContactInfo);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_ContactInfo | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_info_return_from_refresh_contact_info ()

    void
    tp_svc_connection_interface_contact_info_return_from_refresh_contact_info
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_info_return_from_request_contact_info ()

    void
    tp_svc_connection_interface_contact_info_return_from_request_contact_info
                                   (DBusGMethodInvocation *context,
                                    const GPtrArray *out_Contact_Info);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Contact_Info | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_info_return_from_set_contact_info ()

    void
    tp_svc_connection_interface_contact_info_return_from_set_contact_info
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_info_set_contact_info_impl ()

    void
    (*tp_svc_connection_interface_contact_info_set_contact_info_impl)
                                   (TpSvcConnectionInterfaceContactInfo *self,
                                    const GPtrArray *in_ContactInfo,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetContactInfo on interface org.freedesktop.Telepathy.Connection.Interface.ContactInfo.

#### Parameters

self | The object implementing this interface |
in_ContactInfo | const GPtrArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_blocking_block_contacts_impl ()

    void
    (*tp_svc_connection_interface_contact_blocking_block_contacts_impl)
                                   (TpSvcConnectionInterfaceContactBlocking *self,
                                    const GArray *in_Contacts,
                                    gboolean in_Report_Abusive,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method BlockContacts on interface org.freedesktop.Telepathy.Connection.Interface.ContactBlocking.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
in_Report_Abusive | gboolean (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_blocking_emit_blocked_contacts_changed ()

    void
    tp_svc_connection_interface_contact_blocking_emit_blocked_contacts_changed
                                   (gpointer instance,
                                    GHashTable *arg_Blocked_Contacts,
                                    GHashTable *arg_Unblocked_Contacts);

Type-safe wrapper around g_signal_emit to emit the BlockedContactsChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactBlocking.

#### Parameters

instance | The object implementing this interface |
arg_Blocked_Contacts | GHashTable * (FIXME, generate documentation) |
arg_Unblocked_Contacts | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_blocking_implement_block_contacts ()

    void
    tp_svc_connection_interface_contact_blocking_implement_block_contacts
                                   (TpSvcConnectionInterfaceContactBlockingClass *klass,
                                    tp_svc_connection_interface_contact_blocking_block_contacts_impl impl);

Register an implementation for the BlockContacts method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the BlockContacts D-Bus method |

### tp_svc_connection_interface_contact_blocking_implement_request_blocked_contacts ()

    void
    tp_svc_connection_interface_contact_blocking_implement_request_blocked_contacts
                                   (TpSvcConnectionInterfaceContactBlockingClass *klass,
                                    tp_svc_connection_interface_contact_blocking_request_blocked_contacts_impl impl);

Register an implementation for the RequestBlockedContacts method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestBlockedContacts D-Bus method |

### tp_svc_connection_interface_contact_blocking_implement_unblock_contacts ()

    void
    tp_svc_connection_interface_contact_blocking_implement_unblock_contacts
                                   (TpSvcConnectionInterfaceContactBlockingClass *klass,
                                    tp_svc_connection_interface_contact_blocking_unblock_contacts_impl impl);

Register an implementation for the UnblockContacts method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the UnblockContacts D-Bus method |

### tp_svc_connection_interface_contact_blocking_request_blocked_contacts_impl ()

    void
    (*tp_svc_connection_interface_contact_blocking_request_blocked_contacts_impl)
                                   (TpSvcConnectionInterfaceContactBlocking *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestBlockedContacts on interface org.freedesktop.Telepathy.Connection.Interface.ContactBlocking.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_blocking_return_from_block_contacts ()

    void
    tp_svc_connection_interface_contact_blocking_return_from_block_contacts
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_blocking_return_from_request_blocked_contacts ()

    void
    tp_svc_connection_interface_contact_blocking_return_from_request_blocked_contacts
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Contacts);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Contacts | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_blocking_return_from_unblock_contacts ()

    void
    tp_svc_connection_interface_contact_blocking_return_from_unblock_contacts
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_blocking_unblock_contacts_impl ()

    void
    (*tp_svc_connection_interface_contact_blocking_unblock_contacts_impl)
                                   (TpSvcConnectionInterfaceContactBlocking *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method UnblockContacts on interface org.freedesktop.Telepathy.Connection.Interface.ContactBlocking.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_groups_add_to_group_impl ()

    void
    (*tp_svc_connection_interface_contact_groups_add_to_group_impl)
                                   (TpSvcConnectionInterfaceContactGroups *self,
                                    const gchar *in_Group,
                                    const GArray *in_Members,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method AddToGroup on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

self | The object implementing this interface |
in_Group | const gchar * (FIXME, generate documentation) |
in_Members | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_groups_emit_group_renamed ()

    void
    tp_svc_connection_interface_contact_groups_emit_group_renamed
                                   (gpointer instance,
                                    const gchar *arg_Old_Name,
                                    const gchar *arg_New_Name);

Type-safe wrapper around g_signal_emit to emit the GroupRenamed signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

instance | The object implementing this interface |
arg_Old_Name | const gchar * (FIXME, generate documentation) |
arg_New_Name | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_groups_emit_groups_changed ()

    void
    tp_svc_connection_interface_contact_groups_emit_groups_changed
                                   (gpointer instance,
                                    const GArray *arg_Contact,
                                    const gchar **arg_Added,
                                    const gchar **arg_Removed);

Type-safe wrapper around g_signal_emit to emit the GroupsChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

instance | The object implementing this interface |
arg_Contact | const GArray * (FIXME, generate documentation) |
arg_Added | const gchar ** (FIXME, generate documentation) |
arg_Removed | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_groups_emit_groups_created ()

    void
    tp_svc_connection_interface_contact_groups_emit_groups_created
                                   (gpointer instance,
                                    const gchar **arg_Names);

Type-safe wrapper around g_signal_emit to emit the GroupsCreated signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

instance | The object implementing this interface |
arg_Names | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_groups_emit_groups_removed ()

    void
    tp_svc_connection_interface_contact_groups_emit_groups_removed
                                   (gpointer instance,
                                    const gchar **arg_Names);

Type-safe wrapper around g_signal_emit to emit the GroupsRemoved signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

instance | The object implementing this interface |
arg_Names | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_groups_implement_add_to_group ()

    void
    tp_svc_connection_interface_contact_groups_implement_add_to_group
                                   (TpSvcConnectionInterfaceContactGroupsClass *klass,
                                    tp_svc_connection_interface_contact_groups_add_to_group_impl impl);

Register an implementation for the AddToGroup method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the AddToGroup D-Bus method |

### tp_svc_connection_interface_contact_groups_implement_remove_from_group ()

    void
    tp_svc_connection_interface_contact_groups_implement_remove_from_group
                                   (TpSvcConnectionInterfaceContactGroupsClass *klass,
                                    tp_svc_connection_interface_contact_groups_remove_from_group_impl impl);

Register an implementation for the RemoveFromGroup method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RemoveFromGroup D-Bus method |

### tp_svc_connection_interface_contact_groups_implement_remove_group ()

    void
    tp_svc_connection_interface_contact_groups_implement_remove_group
                                   (TpSvcConnectionInterfaceContactGroupsClass *klass,
                                    tp_svc_connection_interface_contact_groups_remove_group_impl impl);

Register an implementation for the RemoveGroup method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RemoveGroup D-Bus method |

### tp_svc_connection_interface_contact_groups_implement_rename_group ()

    void
    tp_svc_connection_interface_contact_groups_implement_rename_group
                                   (TpSvcConnectionInterfaceContactGroupsClass *klass,
                                    tp_svc_connection_interface_contact_groups_rename_group_impl impl);

Register an implementation for the RenameGroup method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RenameGroup D-Bus method |

### tp_svc_connection_interface_contact_groups_implement_set_contact_groups ()

    void
    tp_svc_connection_interface_contact_groups_implement_set_contact_groups
                                   (TpSvcConnectionInterfaceContactGroupsClass *klass,
                                    tp_svc_connection_interface_contact_groups_set_contact_groups_impl impl);

Register an implementation for the SetContactGroups method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetContactGroups D-Bus method |

### tp_svc_connection_interface_contact_groups_implement_set_group_members ()

    void
    tp_svc_connection_interface_contact_groups_implement_set_group_members
                                   (TpSvcConnectionInterfaceContactGroupsClass *klass,
                                    tp_svc_connection_interface_contact_groups_set_group_members_impl impl);

Register an implementation for the SetGroupMembers method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetGroupMembers D-Bus method |

### tp_svc_connection_interface_contact_groups_remove_from_group_impl ()

    void
    (*tp_svc_connection_interface_contact_groups_remove_from_group_impl)
                                   (TpSvcConnectionInterfaceContactGroups *self,
                                    const gchar *in_Group,
                                    const GArray *in_Members,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RemoveFromGroup on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

self | The object implementing this interface |
in_Group | const gchar * (FIXME, generate documentation) |
in_Members | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_groups_remove_group_impl ()

    void
    (*tp_svc_connection_interface_contact_groups_remove_group_impl)
                                   (TpSvcConnectionInterfaceContactGroups *self,
                                    const gchar *in_Group,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RemoveGroup on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

self | The object implementing this interface |
in_Group | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_groups_rename_group_impl ()

    void
    (*tp_svc_connection_interface_contact_groups_rename_group_impl)
                                   (TpSvcConnectionInterfaceContactGroups *self,
                                    const gchar *in_Old_Name,
                                    const gchar *in_New_Name,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RenameGroup on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

self | The object implementing this interface |
in_Old_Name | const gchar * (FIXME, generate documentation) |
in_New_Name | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_groups_return_from_add_to_group ()

    void
    tp_svc_connection_interface_contact_groups_return_from_add_to_group
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_groups_return_from_remove_from_group ()

    void
    tp_svc_connection_interface_contact_groups_return_from_remove_from_group
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_groups_return_from_remove_group ()

    void
    tp_svc_connection_interface_contact_groups_return_from_remove_group
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_groups_return_from_rename_group ()

    void
    tp_svc_connection_interface_contact_groups_return_from_rename_group
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_groups_return_from_set_contact_groups ()

    void
    tp_svc_connection_interface_contact_groups_return_from_set_contact_groups
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_groups_return_from_set_group_members ()

    void
    tp_svc_connection_interface_contact_groups_return_from_set_group_members
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_groups_set_contact_groups_impl ()

    void
    (*tp_svc_connection_interface_contact_groups_set_contact_groups_impl)
                                   (TpSvcConnectionInterfaceContactGroups *self,
                                    guint in_Contact,
                                    const gchar **in_Groups,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetContactGroups on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

self | The object implementing this interface |
in_Contact | guint (FIXME, generate documentation) |
in_Groups | const gchar ** (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_groups_set_group_members_impl ()

    void
    (*tp_svc_connection_interface_contact_groups_set_group_members_impl)
                                   (TpSvcConnectionInterfaceContactGroups *self,
                                    const gchar *in_Group,
                                    const GArray *in_Members,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetGroupMembers on interface org.freedesktop.Telepathy.Connection.Interface.ContactGroups.

#### Parameters

self | The object implementing this interface |
in_Group | const gchar * (FIXME, generate documentation) |
in_Members | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_list_authorize_publication_impl ()

    void
    (*tp_svc_connection_interface_contact_list_authorize_publication_impl)
                                   (TpSvcConnectionInterfaceContactList *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method AuthorizePublication on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_list_download_impl ()

    void
    (*tp_svc_connection_interface_contact_list_download_impl)
                                   (TpSvcConnectionInterfaceContactList *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Download on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_list_emit_contacts_changed ()

    void
    tp_svc_connection_interface_contact_list_emit_contacts_changed
                                   (gpointer instance,
                                    GHashTable *arg_Changes,
                                    const GArray *arg_Removals);

Type-safe wrapper around g_signal_emit to emit the ContactsChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

instance | The object implementing this interface |
arg_Changes | GHashTable * (FIXME, generate documentation) |
arg_Removals | const GArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_list_emit_contacts_changed_with_id ()

    void
    tp_svc_connection_interface_contact_list_emit_contacts_changed_with_id
                                   (gpointer instance,
                                    GHashTable *arg_Changes,
                                    GHashTable *arg_Identifiers,
                                    GHashTable *arg_Removals);

Type-safe wrapper around g_signal_emit to emit the ContactsChangedWithID signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

instance | The object implementing this interface |
arg_Changes | GHashTable * (FIXME, generate documentation) |
arg_Identifiers | GHashTable * (FIXME, generate documentation) |
arg_Removals | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_list_emit_contact_list_state_changed ()

    void
    tp_svc_connection_interface_contact_list_emit_contact_list_state_changed
                                   (gpointer instance,
                                    guint arg_Contact_List_State);

Type-safe wrapper around g_signal_emit to emit the ContactListStateChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

instance | The object implementing this interface |
arg_Contact_List_State | guint (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_list_get_contact_list_attributes_impl ()

    void
    (*tp_svc_connection_interface_contact_list_get_contact_list_attributes_impl)
                                   (TpSvcConnectionInterfaceContactList *self,
                                    const gchar **in_Interfaces,
                                    gboolean in_Hold,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetContactListAttributes on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

self | The object implementing this interface |
in_Interfaces | const gchar ** (FIXME, generate documentation) |
in_Hold | gboolean (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_list_implement_authorize_publication ()

    void
    tp_svc_connection_interface_contact_list_implement_authorize_publication
                                   (TpSvcConnectionInterfaceContactListClass *klass,
                                    tp_svc_connection_interface_contact_list_authorize_publication_impl impl);

Register an implementation for the AuthorizePublication method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the AuthorizePublication D-Bus method |

### tp_svc_connection_interface_contact_list_implement_download ()

    void
    tp_svc_connection_interface_contact_list_implement_download
                                   (TpSvcConnectionInterfaceContactListClass *klass,
                                    tp_svc_connection_interface_contact_list_download_impl impl);

Register an implementation for the Download method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Download D-Bus method |

### tp_svc_connection_interface_contact_list_implement_get_contact_list_attributes ()

    void
    tp_svc_connection_interface_contact_list_implement_get_contact_list_attributes
                                   (TpSvcConnectionInterfaceContactListClass *klass,
                                    tp_svc_connection_interface_contact_list_get_contact_list_attributes_impl impl);

Register an implementation for the GetContactListAttributes method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetContactListAttributes D-Bus method |

### tp_svc_connection_interface_contact_list_implement_remove_contacts ()

    void
    tp_svc_connection_interface_contact_list_implement_remove_contacts
                                   (TpSvcConnectionInterfaceContactListClass *klass,
                                    tp_svc_connection_interface_contact_list_remove_contacts_impl impl);

Register an implementation for the RemoveContacts method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RemoveContacts D-Bus method |

### tp_svc_connection_interface_contact_list_implement_request_subscription ()

    void
    tp_svc_connection_interface_contact_list_implement_request_subscription
                                   (TpSvcConnectionInterfaceContactListClass *klass,
                                    tp_svc_connection_interface_contact_list_request_subscription_impl impl);

Register an implementation for the RequestSubscription method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestSubscription D-Bus method |

### tp_svc_connection_interface_contact_list_implement_unpublish ()

    void
    tp_svc_connection_interface_contact_list_implement_unpublish
                                   (TpSvcConnectionInterfaceContactListClass *klass,
                                    tp_svc_connection_interface_contact_list_unpublish_impl impl);

Register an implementation for the Unpublish method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Unpublish D-Bus method |

### tp_svc_connection_interface_contact_list_implement_unsubscribe ()

    void
    tp_svc_connection_interface_contact_list_implement_unsubscribe
                                   (TpSvcConnectionInterfaceContactListClass *klass,
                                    tp_svc_connection_interface_contact_list_unsubscribe_impl impl);

Register an implementation for the Unsubscribe method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Unsubscribe D-Bus method |

### tp_svc_connection_interface_contact_list_remove_contacts_impl ()

    void
    (*tp_svc_connection_interface_contact_list_remove_contacts_impl)
                                   (TpSvcConnectionInterfaceContactList *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RemoveContacts on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_list_request_subscription_impl ()

    void
    (*tp_svc_connection_interface_contact_list_request_subscription_impl)
                                   (TpSvcConnectionInterfaceContactList *self,
                                    const GArray *in_Contacts,
                                    const gchar *in_Message,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestSubscription on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
in_Message | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_list_return_from_authorize_publication ()

    void
    tp_svc_connection_interface_contact_list_return_from_authorize_publication
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_list_return_from_download ()

    void
    tp_svc_connection_interface_contact_list_return_from_download
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_list_return_from_get_contact_list_attributes ()

    void
    tp_svc_connection_interface_contact_list_return_from_get_contact_list_attributes
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Attributes);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Attributes | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_contact_list_return_from_remove_contacts ()

    void
    tp_svc_connection_interface_contact_list_return_from_remove_contacts
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_list_return_from_request_subscription ()

    void
    tp_svc_connection_interface_contact_list_return_from_request_subscription
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_list_return_from_unpublish ()

    void
    tp_svc_connection_interface_contact_list_return_from_unpublish
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_list_return_from_unsubscribe ()

    void
    tp_svc_connection_interface_contact_list_return_from_unsubscribe
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_contact_list_unpublish_impl ()

    void
    (*tp_svc_connection_interface_contact_list_unpublish_impl)
                                   (TpSvcConnectionInterfaceContactList *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Unpublish on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_contact_list_unsubscribe_impl ()

    void
    (*tp_svc_connection_interface_contact_list_unsubscribe_impl)
                                   (TpSvcConnectionInterfaceContactList *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Unsubscribe on interface org.freedesktop.Telepathy.Connection.Interface.ContactList.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_cellular_emit_imsi_changed ()

    void
    tp_svc_connection_interface_cellular_emit_imsi_changed
                                   (gpointer instance,
                                    const gchar *arg_IMSI);

Type-safe wrapper around g_signal_emit to emit the IMSIChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.Cellular.

#### Parameters

instance | The object implementing this interface |
arg_IMSI | const gchar * (FIXME, generate documentation) |

### tp_svc_connection_interface_client_types_emit_client_types_updated ()

    void
    tp_svc_connection_interface_client_types_emit_client_types_updated
                                   (gpointer instance,
                                    guint arg_Contact,
                                    const gchar **arg_Client_Types);

Type-safe wrapper around g_signal_emit to emit the ClientTypesUpdated signal on interface org.freedesktop.Telepathy.Connection.Interface.ClientTypes.

#### Parameters

instance | The object implementing this interface |
arg_Contact | guint (FIXME, generate documentation) |
arg_Client_Types | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_interface_client_types_get_client_types_impl ()

    void
    (*tp_svc_connection_interface_client_types_get_client_types_impl)
                                   (TpSvcConnectionInterfaceClientTypes *self,
                                    const GArray *in_Contacts,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetClientTypes on interface org.freedesktop.Telepathy.Connection.Interface.ClientTypes.

#### Parameters

self | The object implementing this interface |
in_Contacts | const GArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_client_types_implement_get_client_types ()

    void
    tp_svc_connection_interface_client_types_implement_get_client_types
                                   (TpSvcConnectionInterfaceClientTypesClass *klass,
                                    tp_svc_connection_interface_client_types_get_client_types_impl impl);

Register an implementation for the GetClientTypes method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetClientTypes D-Bus method |

### tp_svc_connection_interface_client_types_implement_request_client_types ()

    void
    tp_svc_connection_interface_client_types_implement_request_client_types
                                   (TpSvcConnectionInterfaceClientTypesClass *klass,
                                    tp_svc_connection_interface_client_types_request_client_types_impl impl);

Register an implementation for the RequestClientTypes method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestClientTypes D-Bus method |

### tp_svc_connection_interface_client_types_request_client_types_impl ()

    void
    (*tp_svc_connection_interface_client_types_request_client_types_impl)
                                   (TpSvcConnectionInterfaceClientTypes *self,
                                    guint in_Contact,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestClientTypes on interface org.freedesktop.Telepathy.Connection.Interface.ClientTypes.

#### Parameters

self | The object implementing this interface |
in_Contact | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_client_types_return_from_get_client_types ()

    void
    tp_svc_connection_interface_client_types_return_from_get_client_types
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Client_Types);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Client_Types | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_client_types_return_from_request_client_types ()

    void
    tp_svc_connection_interface_client_types_return_from_request_client_types
                                   (DBusGMethodInvocation *context,
                                    const gchar **out_Client_Types);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Client_Types | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_interface_mail_notification_emit_mails_received ()

    void
    tp_svc_connection_interface_mail_notification_emit_mails_received
                                   (gpointer instance,
                                    const GPtrArray *arg_Mails);

Type-safe wrapper around g_signal_emit to emit the MailsReceived signal on interface org.freedesktop.Telepathy.Connection.Interface.MailNotification.

#### Parameters

instance | The object implementing this interface |
arg_Mails | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_mail_notification_emit_unread_mails_changed ()

    void
    tp_svc_connection_interface_mail_notification_emit_unread_mails_changed
                                   (gpointer instance,
                                    guint arg_Count,
                                    const GPtrArray *arg_Mails_Added,
                                    const gchar **arg_Mails_Removed);

Type-safe wrapper around g_signal_emit to emit the UnreadMailsChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.MailNotification.

#### Parameters

instance | The object implementing this interface |
arg_Count | guint (FIXME, generate documentation) |
arg_Mails_Added | const GPtrArray * (FIXME, generate documentation) |
arg_Mails_Removed | const gchar ** (FIXME, generate documentation) |

### tp_svc_connection_interface_mail_notification_implement_request_inbox_url ()

    void
    tp_svc_connection_interface_mail_notification_implement_request_inbox_url
                                   (TpSvcConnectionInterfaceMailNotificationClass *klass,
                                    tp_svc_connection_interface_mail_notification_request_inbox_url_impl impl);

Register an implementation for the RequestInboxURL method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestInboxURL D-Bus method |

### tp_svc_connection_interface_mail_notification_implement_request_mail_url ()

    void
    tp_svc_connection_interface_mail_notification_implement_request_mail_url
                                   (TpSvcConnectionInterfaceMailNotificationClass *klass,
                                    tp_svc_connection_interface_mail_notification_request_mail_url_impl impl);

Register an implementation for the RequestMailURL method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestMailURL D-Bus method |

### tp_svc_connection_interface_mail_notification_request_inbox_url_impl ()

    void
    (*tp_svc_connection_interface_mail_notification_request_inbox_url_impl)
                                   (TpSvcConnectionInterfaceMailNotification *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestInboxURL on interface org.freedesktop.Telepathy.Connection.Interface.MailNotification.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_connection_interface_mail_notification_request_mail_url_impl ()

    void
    (*tp_svc_connection_interface_mail_notification_request_mail_url_impl)
                                   (TpSvcConnectionInterfaceMailNotification *self,
                                    const gchar *in_ID,
                                    const GValue *in_URL_Data,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestMailURL on interface org.freedesktop.Telepathy.Connection.Interface.MailNotification.

#### Parameters

self | The object implementing this interface |
in_ID | const gchar * (FIXME, generate documentation) |
in_URL_Data | const GValue * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_mail_notification_return_from_request_inbox_url ()

    void
    tp_svc_connection_interface_mail_notification_return_from_request_inbox_url
                                   (DBusGMethodInvocation *context,
                                    const GValueArray *out_URL);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_URL | const GValueArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_mail_notification_return_from_request_mail_url ()

    void
    tp_svc_connection_interface_mail_notification_return_from_request_mail_url
                                   (DBusGMethodInvocation *context,
                                    const GValueArray *out_URL);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_URL | const GValueArray * (FIXME, generate documentation) |

### tp_svc_connection_interface_power_saving_emit_power_saving_changed ()

    void
    tp_svc_connection_interface_power_saving_emit_power_saving_changed
                                   (gpointer instance,
                                    gboolean arg_Active);

Type-safe wrapper around g_signal_emit to emit the PowerSavingChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.PowerSaving.

#### Parameters

instance | The object implementing this interface |
arg_Active | gboolean (FIXME, generate documentation) |

### tp_svc_connection_interface_power_saving_implement_set_power_saving ()

    void
    tp_svc_connection_interface_power_saving_implement_set_power_saving
                                   (TpSvcConnectionInterfacePowerSavingClass *klass,
                                    tp_svc_connection_interface_power_saving_set_power_saving_impl impl);

Register an implementation for the SetPowerSaving method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetPowerSaving D-Bus method |

### tp_svc_connection_interface_power_saving_return_from_set_power_saving ()

    void
    tp_svc_connection_interface_power_saving_return_from_set_power_saving
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_power_saving_set_power_saving_impl ()

    void
    (*tp_svc_connection_interface_power_saving_set_power_saving_impl)
                                   (TpSvcConnectionInterfacePowerSaving *self,
                                    gboolean in_Activate,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetPowerSaving on interface org.freedesktop.Telepathy.Connection.Interface.PowerSaving.

#### Parameters

self | The object implementing this interface |
in_Activate | gboolean (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_addressing_get_contacts_by_uri_impl ()

    void
    (*tp_svc_connection_interface_addressing_get_contacts_by_uri_impl)
                                   (TpSvcConnectionInterfaceAddressing *self,
                                    const gchar **in_URIs,
                                    const gchar **in_Interfaces,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetContactsByURI on interface org.freedesktop.Telepathy.Connection.Interface.Addressing1.

#### Parameters

self | The object implementing this interface |
in_URIs | const gchar ** (FIXME, generate documentation) |
in_Interfaces | const gchar ** (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_addressing_get_contacts_by_vcard_field_impl ()

    void
    (*tp_svc_connection_interface_addressing_get_contacts_by_vcard_field_impl)
                                   (TpSvcConnectionInterfaceAddressing *self,
                                    const gchar *in_Field,
                                    const gchar **in_Addresses,
                                    const gchar **in_Interfaces,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method GetContactsByVCardField on interface org.freedesktop.Telepathy.Connection.Interface.Addressing1.

#### Parameters

self | The object implementing this interface |
in_Field | const gchar * (FIXME, generate documentation) |
in_Addresses | const gchar ** (FIXME, generate documentation) |
in_Interfaces | const gchar ** (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_addressing_implement_get_contacts_by_uri ()

    void
    tp_svc_connection_interface_addressing_implement_get_contacts_by_uri
                                   (TpSvcConnectionInterfaceAddressingClass *klass,
                                    tp_svc_connection_interface_addressing_get_contacts_by_uri_impl impl);

Register an implementation for the GetContactsByURI method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetContactsByURI D-Bus method |

### tp_svc_connection_interface_addressing_implement_get_contacts_by_vcard_field ()

    void
    tp_svc_connection_interface_addressing_implement_get_contacts_by_vcard_field
                                   (TpSvcConnectionInterfaceAddressingClass *klass,
                                    tp_svc_connection_interface_addressing_get_contacts_by_vcard_field_impl impl);

Register an implementation for the GetContactsByVCardField method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the GetContactsByVCardField D-Bus method |

### tp_svc_connection_interface_addressing_return_from_get_contacts_by_uri ()

    void
    tp_svc_connection_interface_addressing_return_from_get_contacts_by_uri
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Requested,
                                    GHashTable *out_Attributes);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Requested | GHashTable * (FIXME, generate documentation) |
out_Attributes | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_addressing_return_from_get_contacts_by_vcard_field ()

    void
    tp_svc_connection_interface_addressing_return_from_get_contacts_by_vcard_field
                                   (DBusGMethodInvocation *context,
                                    GHashTable *out_Requested,
                                    GHashTable *out_Attributes);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Requested | GHashTable * (FIXME, generate documentation) |
out_Attributes | GHashTable * (FIXME, generate documentation) |

### tp_svc_connection_interface_renaming_emit_renamed ()

    void
    tp_svc_connection_interface_renaming_emit_renamed
                                   (gpointer instance,
                                    guint arg_Original,
                                    guint arg_New);

Type-safe wrapper around g_signal_emit to emit the Renamed signal on interface org.freedesktop.Telepathy.Connection.Interface.Renaming.

#### Parameters

instance | The object implementing this interface |
arg_Original | guint (FIXME, generate documentation) |
arg_New | guint (FIXME, generate documentation) |

### tp_svc_connection_interface_renaming_implement_request_rename ()

    void
    tp_svc_connection_interface_renaming_implement_request_rename
                                   (TpSvcConnectionInterfaceRenamingClass *klass,
                                    tp_svc_connection_interface_renaming_request_rename_impl impl);

Register an implementation for the RequestRename method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestRename D-Bus method |

### tp_svc_connection_interface_renaming_request_rename_impl ()

    void
    (*tp_svc_connection_interface_renaming_request_rename_impl)
                                   (TpSvcConnectionInterfaceRenaming *self,
                                    const gchar *in_Identifier,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestRename on interface org.freedesktop.Telepathy.Connection.Interface.Renaming.

#### Parameters

self | The object implementing this interface |
in_Identifier | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_renaming_return_from_request_rename ()

    void
    tp_svc_connection_interface_renaming_return_from_request_rename
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_connection_interface_sidecars1_ensure_sidecar_impl ()

    void
    (*tp_svc_connection_interface_sidecars1_ensure_sidecar_impl)
                                   (TpSvcConnectionInterfaceSidecars1 *self,
                                    const gchar *in_Main_Interface,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method EnsureSidecar on interface org.freedesktop.Telepathy.Connection.Interface.Sidecars1.

#### Parameters

self | The object implementing this interface |
in_Main_Interface | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_connection_interface_sidecars1_implement_ensure_sidecar ()

    void
    tp_svc_connection_interface_sidecars1_implement_ensure_sidecar
                                   (TpSvcConnectionInterfaceSidecars1Class *klass,
                                    tp_svc_connection_interface_sidecars1_ensure_sidecar_impl impl);

Register an implementation for the EnsureSidecar method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the EnsureSidecar D-Bus method |

### tp_svc_connection_interface_sidecars1_return_from_ensure_sidecar ()

    void
    tp_svc_connection_interface_sidecars1_return_from_ensure_sidecar
                                   (DBusGMethodInvocation *context,
                                    const gchar *out_Path,
                                    GHashTable *out_Properties);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Path | const gchar * (FIXME, generate documentation) |
out_Properties | GHashTable * (FIXME, generate documentation) |

## Types and Values

### TpSvcConnection

    typedef struct _TpSvcConnection TpSvcConnection;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionClass

    typedef struct _TpSvcConnectionClass TpSvcConnectionClass;

The class of TpSvcConnection.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (connect);
      IMPLEMENT (disconnect);
      IMPLEMENT (get_interfaces);
      IMPLEMENT (get_protocol);
      IMPLEMENT (get_self_handle);
      IMPLEMENT (get_status);
      IMPLEMENT (hold_handles);
      IMPLEMENT (inspect_handles);
      IMPLEMENT (list_channels);
      IMPLEMENT (release_handles);
      IMPLEMENT (request_channel);
      IMPLEMENT (request_handles);
      IMPLEMENT (add_client_interest);
      IMPLEMENT (remove_client_interest);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceContacts

    typedef struct _TpSvcConnectionInterfaceContacts TpSvcConnectionInterfaceContacts;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceContactsClass

    typedef struct _TpSvcConnectionInterfaceContactsClass TpSvcConnectionInterfaceContactsClass;

The class of TpSvcConnectionInterfaceContacts.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_contacts (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_contacts_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (get_contact_attributes);
      IMPLEMENT (get_contact_by_id);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceRequests

    typedef struct _TpSvcConnectionInterfaceRequests TpSvcConnectionInterfaceRequests;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceRequestsClass

    typedef struct _TpSvcConnectionInterfaceRequestsClass TpSvcConnectionInterfaceRequestsClass;

The class of TpSvcConnectionInterfaceRequests.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_requests (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_requests_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (create_channel);
      IMPLEMENT (ensure_channel);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceSimplePresence

    typedef struct _TpSvcConnectionInterfaceSimplePresence TpSvcConnectionInterfaceSimplePresence;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceSimplePresenceClass

    typedef struct _TpSvcConnectionInterfaceSimplePresenceClass TpSvcConnectionInterfaceSimplePresenceClass;

The class of TpSvcConnectionInterfaceSimplePresence.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_simple_presence (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_simple_presence_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (set_presence);
      IMPLEMENT (get_presences);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfacePresence

    typedef struct _TpSvcConnectionInterfacePresence TpSvcConnectionInterfacePresence;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfacePresenceClass

    typedef struct _TpSvcConnectionInterfacePresenceClass TpSvcConnectionInterfacePresenceClass;

The class of TpSvcConnectionInterfacePresence.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_presence (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_presence_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (add_status);
      IMPLEMENT (clear_status);
      IMPLEMENT (get_presence);
      IMPLEMENT (get_statuses);
      IMPLEMENT (remove_status);
      IMPLEMENT (request_presence);
      IMPLEMENT (set_last_activity_time);
      IMPLEMENT (set_status);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceAvatars

    typedef struct _TpSvcConnectionInterfaceAvatars TpSvcConnectionInterfaceAvatars;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceAvatarsClass

    typedef struct _TpSvcConnectionInterfaceAvatarsClass TpSvcConnectionInterfaceAvatarsClass;

The class of TpSvcConnectionInterfaceAvatars.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_avatars (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_avatars_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (get_avatar_requirements);
      IMPLEMENT (get_avatar_tokens);
      IMPLEMENT (get_known_avatar_tokens);
      IMPLEMENT (request_avatar);
      IMPLEMENT (request_avatars);
      IMPLEMENT (set_avatar);
      IMPLEMENT (clear_avatar);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceAliasing

    typedef struct _TpSvcConnectionInterfaceAliasing TpSvcConnectionInterfaceAliasing;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceAliasingClass

    typedef struct _TpSvcConnectionInterfaceAliasingClass TpSvcConnectionInterfaceAliasingClass;

The class of TpSvcConnectionInterfaceAliasing.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_aliasing (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_aliasing_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (get_alias_flags);
      IMPLEMENT (request_aliases);
      IMPLEMENT (get_aliases);
      IMPLEMENT (set_aliases);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceBalance

    typedef struct _TpSvcConnectionInterfaceBalance TpSvcConnectionInterfaceBalance;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceBalanceClass

    typedef struct _TpSvcConnectionInterfaceBalanceClass TpSvcConnectionInterfaceBalanceClass;

The class of TpSvcConnectionInterfaceBalance. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

### TpSvcConnectionInterfaceCapabilities

    typedef struct _TpSvcConnectionInterfaceCapabilities TpSvcConnectionInterfaceCapabilities;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceCapabilitiesClass

    typedef struct _TpSvcConnectionInterfaceCapabilitiesClass TpSvcConnectionInterfaceCapabilitiesClass;

The class of TpSvcConnectionInterfaceCapabilities.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_capabilities (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_capabilities_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (advertise_capabilities);
      IMPLEMENT (get_capabilities);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceContactCapabilities

    typedef struct _TpSvcConnectionInterfaceContactCapabilities TpSvcConnectionInterfaceContactCapabilities;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceContactCapabilitiesClass

    typedef struct _TpSvcConnectionInterfaceContactCapabilitiesClass TpSvcConnectionInterfaceContactCapabilitiesClass;

The class of TpSvcConnectionInterfaceContactCapabilities.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_contact_capabilities (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_contact_capabilities_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (update_capabilities);
      IMPLEMENT (get_contact_capabilities);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceLocation

    typedef struct _TpSvcConnectionInterfaceLocation TpSvcConnectionInterfaceLocation;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceLocationClass

    typedef struct _TpSvcConnectionInterfaceLocationClass TpSvcConnectionInterfaceLocationClass;

The class of TpSvcConnectionInterfaceLocation.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_location (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_location_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (get_locations);
      IMPLEMENT (request_location);
      IMPLEMENT (set_location);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceContactInfo

    typedef struct _TpSvcConnectionInterfaceContactInfo TpSvcConnectionInterfaceContactInfo;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceContactInfoClass

    typedef struct _TpSvcConnectionInterfaceContactInfoClass TpSvcConnectionInterfaceContactInfoClass;

The class of TpSvcConnectionInterfaceContactInfo.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_contact_info (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_contact_info_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (get_contact_info);
      IMPLEMENT (refresh_contact_info);
      IMPLEMENT (request_contact_info);
      IMPLEMENT (set_contact_info);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceContactBlocking

    typedef struct _TpSvcConnectionInterfaceContactBlocking TpSvcConnectionInterfaceContactBlocking;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceContactBlockingClass

    typedef struct _TpSvcConnectionInterfaceContactBlockingClass TpSvcConnectionInterfaceContactBlockingClass;

The class of TpSvcConnectionInterfaceContactBlocking.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_contact_blocking (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_contact_blocking_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (block_contacts);
      IMPLEMENT (unblock_contacts);
      IMPLEMENT (request_blocked_contacts);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceContactGroups

    typedef struct _TpSvcConnectionInterfaceContactGroups TpSvcConnectionInterfaceContactGroups;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceContactGroupsClass

    typedef struct _TpSvcConnectionInterfaceContactGroupsClass TpSvcConnectionInterfaceContactGroupsClass;

The class of TpSvcConnectionInterfaceContactGroups.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_contact_groups (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_contact_groups_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (set_contact_groups);
      IMPLEMENT (set_group_members);
      IMPLEMENT (add_to_group);
      IMPLEMENT (remove_from_group);
      IMPLEMENT (remove_group);
      IMPLEMENT (rename_group);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceContactList

    typedef struct _TpSvcConnectionInterfaceContactList TpSvcConnectionInterfaceContactList;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceContactListClass

    typedef struct _TpSvcConnectionInterfaceContactListClass TpSvcConnectionInterfaceContactListClass;

The class of TpSvcConnectionInterfaceContactList.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_contact_list (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_contact_list_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (get_contact_list_attributes);
      IMPLEMENT (request_subscription);
      IMPLEMENT (authorize_publication);
      IMPLEMENT (remove_contacts);
      IMPLEMENT (unsubscribe);
      IMPLEMENT (unpublish);
      IMPLEMENT (download);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceCellular

    typedef struct _TpSvcConnectionInterfaceCellular TpSvcConnectionInterfaceCellular;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceCellularClass

    typedef struct _TpSvcConnectionInterfaceCellularClass TpSvcConnectionInterfaceCellularClass;

The class of TpSvcConnectionInterfaceCellular. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

### TpSvcConnectionInterfaceClientTypes

    typedef struct _TpSvcConnectionInterfaceClientTypes TpSvcConnectionInterfaceClientTypes;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceClientTypesClass

    typedef struct _TpSvcConnectionInterfaceClientTypesClass TpSvcConnectionInterfaceClientTypesClass;

The class of TpSvcConnectionInterfaceClientTypes.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_client_types (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_client_types_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (get_client_types);
      IMPLEMENT (request_client_types);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceMailNotification

    typedef struct _TpSvcConnectionInterfaceMailNotification TpSvcConnectionInterfaceMailNotification;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceMailNotificationClass

    typedef struct _TpSvcConnectionInterfaceMailNotificationClass TpSvcConnectionInterfaceMailNotificationClass;

The class of TpSvcConnectionInterfaceMailNotification.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_mail_notification (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_mail_notification_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (request_inbox_url);
      IMPLEMENT (request_mail_url);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfacePowerSaving

    typedef struct _TpSvcConnectionInterfacePowerSaving TpSvcConnectionInterfacePowerSaving;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfacePowerSavingClass

    typedef struct _TpSvcConnectionInterfacePowerSavingClass TpSvcConnectionInterfacePowerSavingClass;

The class of TpSvcConnectionInterfacePowerSaving.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_power_saving (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_power_saving_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (set_power_saving);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceAddressing

    typedef struct _TpSvcConnectionInterfaceAddressing TpSvcConnectionInterfaceAddressing;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceAddressingClass

    typedef struct _TpSvcConnectionInterfaceAddressingClass TpSvcConnectionInterfaceAddressingClass;

The class of TpSvcConnectionInterfaceAddressing.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_addressing (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_addressing_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (get_contacts_by_vcard_field);
      IMPLEMENT (get_contacts_by_uri);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceRenaming

    typedef struct _TpSvcConnectionInterfaceRenaming TpSvcConnectionInterfaceRenaming;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceRenamingClass

    typedef struct _TpSvcConnectionInterfaceRenamingClass TpSvcConnectionInterfaceRenamingClass;

The class of TpSvcConnectionInterfaceRenaming.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_renaming (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_renaming_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (request_rename);
    #undef IMPLEMENT
    }

### TpSvcConnectionInterfaceSidecars1

    typedef struct _TpSvcConnectionInterfaceSidecars1 TpSvcConnectionInterfaceSidecars1;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceSidecars1Class

    typedef struct _TpSvcConnectionInterfaceSidecars1Class TpSvcConnectionInterfaceSidecars1Class;

The class of TpSvcConnectionInterfaceSidecars1.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_connection_interface_sidecars1 (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_connection_interface_sidecars1_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (ensure_sidecar);
    #undef IMPLEMENT
    }

## Signal Details

### The `“connection-error”` signal

    void
    user_function (TpSvcConnection *self,
                   char            *arg_Error,
                   gpointer         user_data)

The ConnectionError D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Error | const gchar * (FIXME, generate documentation) |
arg_Details | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“new-channel”` signal

    void
    user_function (TpSvcConnection *self,
                   DBusGObjectPath *arg_Object_Path,
                   char            *arg_Channel_Type,
                   guint            arg_Handle_Type,
                   guint            arg_Handle,
                   gboolean         arg_Suppress_Handler,
                   gpointer         user_data)

The NewChannel D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Object_Path | const gchar * (FIXME, generate documentation) |
arg_Channel_Type | const gchar * (FIXME, generate documentation) |
arg_Handle_Type | guint (FIXME, generate documentation) |
arg_Handle | guint (FIXME, generate documentation) |
arg_Suppress_Handler | gboolean (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“self-contact-changed”` signal

    void
    user_function (TpSvcConnection *self,
                   guint            arg_Self_Handle,
                   char            *arg_Self_ID,
                   gpointer         user_data)

The SelfContactChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Self_Handle | guint (FIXME, generate documentation) |
arg_Self_ID | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“self-handle-changed”` signal

    void
    user_function (TpSvcConnection *self,
                   guint            arg_Self_Handle,
                   gpointer         user_data)

The SelfHandleChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Self_Handle | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“status-changed”` signal

    void
    user_function (TpSvcConnection *self,
                   guint            arg_Status,
                   guint            arg_Reason,
                   gpointer         user_data)

The StatusChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Status | guint (FIXME, generate documentation) |
arg_Reason | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“channel-closed”` signal

    void
    user_function (TpSvcConnectionInterfaceRequests *self,
                   DBusGObjectPath                  *arg_Removed,
                   gpointer                          user_data)

The ChannelClosed D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Removed | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“new-channels”` signal

    void
    user_function (TpSvcConnectionInterfaceRequests *self,
                   gpointer                          user_data)

The NewChannels D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Channels | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“presences-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceSimplePresence *self,
                   gpointer                                user_data)

The PresencesChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Presence | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“presence-update”` signal

    void
    user_function (TpSvcConnectionInterfacePresence *self,
                   gpointer                          user_data)

The PresenceUpdate D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Presence | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“avatar-retrieved”` signal

    void
    user_function (TpSvcConnectionInterfaceAvatars *self,
                   guint                            arg_Contact,
                   char                            *arg_Token,
                   GArray_guchar_                  *arg_Avatar,
                   char                            *arg_Type,
                   gpointer                         user_data)

The AvatarRetrieved D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Contact | guint (FIXME, generate documentation) |
arg_Token | const gchar * (FIXME, generate documentation) |
arg_Avatar | const GArray * (FIXME, generate documentation) |
arg_Type | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“avatar-updated”` signal

    void
    user_function (TpSvcConnectionInterfaceAvatars *self,
                   guint                            arg_Contact,
                   char                            *arg_New_Avatar_Token,
                   gpointer                         user_data)

The AvatarUpdated D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Contact | guint (FIXME, generate documentation) |
arg_New_Avatar_Token | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“aliases-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceAliasing *self,
                   gpointer                          user_data)

The AliasesChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Aliases | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“balance-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceBalance *self,
                   gpointer                         user_data)

The BalanceChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Balance | const GValueArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“capabilities-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceCapabilities *self,
                   gpointer                              user_data)

The CapabilitiesChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Caps | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“contact-capabilities-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceContactCapabilities *self,
                   gpointer                                     user_data)

The ContactCapabilitiesChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_caps | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“location-updated”` signal

    void
    user_function (TpSvcConnectionInterfaceLocation *self,
                   guint                             arg_Contact,
                   gpointer                          user_data)

The LocationUpdated D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Contact | guint (FIXME, generate documentation) |
arg_Location | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“contact-info-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceContactInfo *self,
                   guint                                arg_Contact,
                   gpointer                             user_data)

The ContactInfoChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Contact | guint (FIXME, generate documentation) |
arg_ContactInfo | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“blocked-contacts-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceContactBlocking *self,
                   gpointer                                 user_data)

The BlockedContactsChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Blocked_Contacts | GHashTable * (FIXME, generate documentation) |
arg_Unblocked_Contacts | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“group-renamed”` signal

    void
    user_function (TpSvcConnectionInterfaceContactGroups *self,
                   char                                  *arg_Old_Name,
                   char                                  *arg_New_Name,
                   gpointer                               user_data)

The GroupRenamed D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Old_Name | const gchar * (FIXME, generate documentation) |
arg_New_Name | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“groups-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceContactGroups *self,
                   GArray_guint_                         *arg_Contact,
                   GStrv                                  arg_Added,
                   GStrv                                  arg_Removed,
                   gpointer                               user_data)

The GroupsChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Contact | const GArray * (FIXME, generate documentation) |
arg_Added | const gchar ** (FIXME, generate documentation) |
arg_Removed | const gchar ** (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“groups-created”` signal

    void
    user_function (TpSvcConnectionInterfaceContactGroups *self,
                   GStrv                                  arg_Names,
                   gpointer                               user_data)

The GroupsCreated D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Names | const gchar ** (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“groups-removed”` signal

    void
    user_function (TpSvcConnectionInterfaceContactGroups *self,
                   GStrv                                  arg_Names,
                   gpointer                               user_data)

The GroupsRemoved D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Names | const gchar ** (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“contact-list-state-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceContactList *self,
                   guint                                arg_Contact_List_State,
                   gpointer                             user_data)

The ContactListStateChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Contact_List_State | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“contacts-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceContactList *self,
                   GArray_guint_                       *arg_Removals,
                   gpointer                             user_data)

The ContactsChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Changes | GHashTable * (FIXME, generate documentation) |
arg_Removals | const GArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“contacts-changed-with-id”` signal

    void
    user_function (TpSvcConnectionInterfaceContactList *self,
                   gpointer                             user_data)

The ContactsChangedWithID D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Changes | GHashTable * (FIXME, generate documentation) |
arg_Identifiers | GHashTable * (FIXME, generate documentation) |
arg_Removals | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“i-ms-ichanged”` signal

    void
    user_function (TpSvcConnectionInterfaceCellular *self,
                   char                             *arg_IMSI,
                   gpointer                          user_data)

The IMSIChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_IMSI | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“client-types-updated”` signal

    void
    user_function (TpSvcConnectionInterfaceClientTypes *self,
                   guint                                arg_Contact,
                   GStrv                                arg_Client_Types,
                   gpointer                             user_data)

The ClientTypesUpdated D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Contact | guint (FIXME, generate documentation) |
arg_Client_Types | const gchar ** (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“mails-received”` signal

    void
    user_function (TpSvcConnectionInterfaceMailNotification *self,
                   gpointer                                  user_data)

The MailsReceived D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Mails | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“unread-mails-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceMailNotification *self,
                   guint                                     arg_Count,
                   GStrv                                     arg_Mails_Removed,
                   gpointer                                  user_data)

The UnreadMailsChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Count | guint (FIXME, generate documentation) |
arg_Mails_Added | const GPtrArray * (FIXME, generate documentation) |
arg_Mails_Removed | const gchar ** (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“power-saving-changed”` signal

    void
    user_function (TpSvcConnectionInterfacePowerSaving *self,
                   gboolean                             arg_Active,
                   gpointer                             user_data)

The PowerSavingChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Active | gboolean (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“renamed”` signal

    void
    user_function (TpSvcConnectionInterfaceRenaming *self,
                   guint                             arg_Original,
                   guint                             arg_New,
                   gpointer                          user_data)

The Renamed D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Original | guint (FIXME, generate documentation) |
arg_New | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

## See Also

TpBaseConnection